% get the fact about 'catalyzed_by_ECclasss'

%:-use_module(library(lists)).


:-['keggmap_rn_rno.pl'].


%catalyzed_by_ECclass(ReactionID,EC_Num):-
output_CATALYZED_BY_ECclass(ReactionID):-
	catalyzed_by(ReactionID,EnzClassID,'IMPD'),!,
	concept_accession(ReactionID,'KEGG',Reaction_KEGGID,false),
	concept_accession(EnzClassID,'EC',EC_Num,false),
	portray_clause(catalyzed_by_ECclasss(Reaction_KEGGID,EC_Num)).
	% concept_accession(EnzClassID,'KEGG',EC_Num,true).

output_CATALYZED_BY_ECclass(ReactionID):- write('% no info about catalyzed_by'),nl.


t:-
	tell('catalyzedBy_info.pl'),
	forall(reaction(ReactionID,_,'','KEGG','IMPD'),output_CATALYZED_BY_ECclass(ReactionID)),
	told.
