

getAllEx_oneTimePoint('Day1',AllEx) :- numbersList(1,52,AllEx).
getAllEx_oneTimePoint('Day3',AllEx) :- numbersList(53,104,AllEx).
getAllEx_oneTimePoint('Day7',AllEx) :- numbersList(105,156,AllEx).
getAllEx_oneTimePoint('Day14',AllEx) :- numbersList(157,208,AllEx).


% no matter which time point, as long as it is no_change, then it can be predicted by default
default_predict(EI):-
	ex(EI,concentration(MID,no_change,Time),1).
	


% UnwantedList=['ATP','NAD+','UTP','Nicotinamide',dAMP,'NOT IN ONDEX KEGG RNO GRAPH','Decanoic acid','(9Z)-Hexadecenoic acid','(7Z,10Z,13Z,16Z,19Z)-Docosa-7,10,13,16,19-pentaenoic acid','Icosadienoic acid','Icosenoic acid','7,10,13,16-Docosatetraenoic acid','Docosanoic acid']

:- dynamic ex/3.


gEx(PianoNumDepthLimit,EI,OneTr):-
	ex(EI,concentration(MID,Change,Time),PosNegSign),
	concentration(PianoNumDepthLimit,[],OneTr,[MID],MID,Change,Time).

ex(1,concentration('36445: cpd:C06427',up,'Day1'),1).
ex(2,concentration('36092: cpd:C01595',no_change,'Day1'),1).
ex(3,concentration('36995: cpd:C00299',down,'Day1'),1).
ex(4,concentration('36044: cpd:C00407',down,'Day1'),1).
ex(5,concentration('36425: cpd:C06425',no_change,'Day1'),1).
ex(6,concentration('38699: cpd:C00256',no_change,'Day1'),1).
ex(7,concentration('37355: cpd:C00121',no_change,'Day1'),1).
ex(8,concentration('36103: cpd:C06426',no_change,'Day1'),1).
ex(9,concentration('37490: cpd:C00369',down,'Day1'),1).
ex(10,concentration('35984: cpd:C00037',up,'Day1'),1).
ex(11,concentration('35967: cpd:C00065',down,'Day1'),1).
ex(12,concentration('36056: cpd:C00258',up,'Day1'),1).
ex(13,concentration('36189: cpd:C00670',no_change,'Day1'),1).
ex(14,concentration('37417: cpd:C06424',no_change,'Day1'),1).
ex(15,concentration('36804: cpd:C01879',up,'Day1'),1).
ex(16,concentration('36094: cpd:C00077',no_change,'Day1'),1).
ex(17,concentration('36786: cpd:C00127',no_change,'Day1'),1).
ex(18,concentration('36183: cpd:C00267',down,'Day1'),1).
ex(19,concentration('36397: cpd:C03242',no_change,'Day1'),1).
ex(20,concentration('37385: cpd:C05984',up,'Day1'),1).
ex(21,concentration('37166: cpd:C00212',down,'Day1'),1).
ex(22,concentration('36139: cpd:C00137',up,'Day1'),1).
ex(23,concentration('36375: cpd:C00249',no_change,'Day1'),1).
ex(24,concentration('35943: cpd:C00079',no_change,'Day1'),1).
ex(25,concentration('36188: cpd:C00221',down,'Day1'),1).
ex(26,concentration('36370: cpd:C00712',no_change,'Day1'),1).
ex(27,concentration('36128: cpd:C00123',down,'Day1'),1).
ex(28,concentration('35945: cpd:C00183',down,'Day1'),1).
ex(29,concentration('35960: cpd:C00025',up,'Day1'),1).
ex(30,concentration('35940: cpd:C00158',up,'Day1'),1).
ex(31,concentration('37415: cpd:C02679',no_change,'Day1'),1).
ex(32,concentration('36085: cpd:C00122',no_change,'Day1'),1).
ex(33,concentration('35947: cpd:C00114',no_change,'Day1'),1).
ex(34,concentration('36047: cpd:C00041',no_change,'Day1'),1).
ex(35,concentration('36517: cpd:C00095',down,'Day1'),1).
ex(36,concentration('36481: cpd:C00588',no_change,'Day1'),1).
ex(37,concentration('36137: cpd:C00042',up,'Day1'),1).
ex(38,concentration('36449: cpd:C06428',no_change,'Day1'),1).
ex(39,concentration('36413: cpd:C06429',no_change,'Day1'),1).
ex(40,concentration('35981: cpd:C00031',down,'Day1'),1).
ex(41,concentration('36519: cpd:C00245',no_change,'Day1'),1).
ex(42,concentration('36380: cpd:C00219',no_change,'Day1'),1).
ex(43,concentration('36447: cpd:C00189',down,'Day1'),1).
ex(44,concentration('36032: cpd:C00051',up,'Day1'),1).
ex(45,concentration('36364: cpd:C01530',no_change,'Day1'),1).
ex(46,concentration('35982: cpd:C00149',no_change,'Day1'),1).
ex(47,concentration('36193: cpd:C00047',no_change,'Day1'),1).
ex(48,concentration('36354: cpd:C00148',no_change,'Day1'),1).
ex(49,concentration('36450: cpd:C01089',no_change,'Day1'),1).
ex(50,concentration('35953: cpd:C00064',up,'Day1'),1).
ex(51,concentration('36157: cpd:C00188',no_change,'Day1'),1).
ex(52,concentration('35991: cpd:C00082',no_change,'Day1'),1).
ex(53,concentration('36445: cpd:C06427',no_change,'Day3'),1).
ex(54,concentration('36092: cpd:C01595',up,'Day3'),1).
ex(55,concentration('36995: cpd:C00299',no_change,'Day3'),1).
ex(56,concentration('36044: cpd:C00407',no_change,'Day3'),1).
ex(57,concentration('36425: cpd:C06425',down,'Day3'),1).
ex(58,concentration('38699: cpd:C00256',up,'Day3'),1).
ex(59,concentration('37355: cpd:C00121',down,'Day3'),1).
ex(60,concentration('36103: cpd:C06426',up,'Day3'),1).
ex(61,concentration('37490: cpd:C00369',down,'Day3'),1).
ex(62,concentration('35984: cpd:C00037',up,'Day3'),1).
ex(63,concentration('35967: cpd:C00065',down,'Day3'),1).
ex(64,concentration('36056: cpd:C00258',no_change,'Day3'),1).
ex(65,concentration('36189: cpd:C00670',down,'Day3'),1).
ex(66,concentration('37417: cpd:C06424',no_change,'Day3'),1).
ex(67,concentration('36804: cpd:C01879',up,'Day3'),1).
ex(68,concentration('36094: cpd:C00077',no_change,'Day3'),1).
ex(69,concentration('36786: cpd:C00127',no_change,'Day3'),1).
ex(70,concentration('36183: cpd:C00267',down,'Day3'),1).
ex(71,concentration('36397: cpd:C03242',up,'Day3'),1).
ex(72,concentration('37385: cpd:C05984',no_change,'Day3'),1).
ex(73,concentration('37166: cpd:C00212',down,'Day3'),1).
ex(74,concentration('36139: cpd:C00137',down,'Day3'),1).
ex(75,concentration('36375: cpd:C00249',down,'Day3'),1).
ex(76,concentration('35943: cpd:C00079',down,'Day3'),1).
ex(77,concentration('36188: cpd:C00221',down,'Day3'),1).
ex(78,concentration('36370: cpd:C00712',up,'Day3'),1).
ex(79,concentration('36128: cpd:C00123',down,'Day3'),1).
ex(80,concentration('35945: cpd:C00183',down,'Day3'),1).
ex(81,concentration('35960: cpd:C00025',up,'Day3'),1).
ex(82,concentration('35940: cpd:C00158',no_change,'Day3'),1).
ex(83,concentration('37415: cpd:C02679',no_change,'Day3'),1).
ex(84,concentration('36085: cpd:C00122',no_change,'Day3'),1).
ex(85,concentration('35947: cpd:C00114',down,'Day3'),1).
ex(86,concentration('36047: cpd:C00041',up,'Day3'),1).
ex(87,concentration('36517: cpd:C00095',down,'Day3'),1).
ex(88,concentration('36481: cpd:C00588',no_change,'Day3'),1).
ex(89,concentration('36137: cpd:C00042',up,'Day3'),1).
ex(90,concentration('36449: cpd:C06428',up,'Day3'),1).
ex(91,concentration('36413: cpd:C06429',down,'Day3'),1).
ex(92,concentration('35981: cpd:C00031',down,'Day3'),1).
ex(93,concentration('36519: cpd:C00245',up,'Day3'),1).
ex(94,concentration('36380: cpd:C00219',down,'Day3'),1).
ex(95,concentration('36447: cpd:C00189',down,'Day3'),1).
ex(96,concentration('36032: cpd:C00051',up,'Day3'),1).
ex(97,concentration('36364: cpd:C01530',down,'Day3'),1).
ex(98,concentration('35982: cpd:C00149',no_change,'Day3'),1).
ex(99,concentration('36193: cpd:C00047',no_change,'Day3'),1).
ex(100,concentration('36354: cpd:C00148',no_change,'Day3'),1).
ex(101,concentration('36450: cpd:C01089',up,'Day3'),1).
ex(102,concentration('35953: cpd:C00064',up,'Day3'),1).
ex(103,concentration('36157: cpd:C00188',no_change,'Day3'),1).
ex(104,concentration('35991: cpd:C00082',down,'Day3'),1).
ex(105,concentration('36445: cpd:C06427',down,'Day7'),1).
ex(106,concentration('36092: cpd:C01595',up,'Day7'),1).
ex(107,concentration('36995: cpd:C00299',no_change,'Day7'),1).
ex(108,concentration('36044: cpd:C00407',no_change,'Day7'),1).
ex(109,concentration('36425: cpd:C06425',down,'Day7'),1).
ex(110,concentration('38699: cpd:C00256',no_change,'Day7'),1).
ex(111,concentration('37355: cpd:C00121',no_change,'Day7'),1).
ex(112,concentration('36103: cpd:C06426',no_change,'Day7'),1).
ex(113,concentration('37490: cpd:C00369',down,'Day7'),1).
ex(114,concentration('35984: cpd:C00037',up,'Day7'),1).
ex(115,concentration('35967: cpd:C00065',down,'Day7'),1).
ex(116,concentration('36056: cpd:C00258',no_change,'Day7'),1).
ex(117,concentration('36189: cpd:C00670',down,'Day7'),1).
ex(118,concentration('37417: cpd:C06424',no_change,'Day7'),1).
ex(119,concentration('36804: cpd:C01879',no_change,'Day7'),1).
ex(120,concentration('36094: cpd:C00077',up,'Day7'),1).
ex(121,concentration('36786: cpd:C00127',up,'Day7'),1).
ex(122,concentration('36183: cpd:C00267',down,'Day7'),1).
ex(123,concentration('36397: cpd:C03242',no_change,'Day7'),1).
ex(124,concentration('37385: cpd:C05984',no_change,'Day7'),1).
ex(125,concentration('37166: cpd:C00212',down,'Day7'),1).
ex(126,concentration('36139: cpd:C00137',up,'Day7'),1).
ex(127,concentration('36375: cpd:C00249',down,'Day7'),1).
ex(128,concentration('35943: cpd:C00079',no_change,'Day7'),1).
ex(129,concentration('36188: cpd:C00221',down,'Day7'),1).
ex(130,concentration('36370: cpd:C00712',up,'Day7'),1).
ex(131,concentration('36128: cpd:C00123',no_change,'Day7'),1).
ex(132,concentration('35945: cpd:C00183',no_change,'Day7'),1).
ex(133,concentration('35960: cpd:C00025',no_change,'Day7'),1).
ex(134,concentration('35940: cpd:C00158',up,'Day7'),1).
ex(135,concentration('37415: cpd:C02679',down,'Day7'),1).
ex(136,concentration('36085: cpd:C00122',up,'Day7'),1).
ex(137,concentration('35947: cpd:C00114',no_change,'Day7'),1).
ex(138,concentration('36047: cpd:C00041',no_change,'Day7'),1).
ex(139,concentration('36517: cpd:C00095',down,'Day7'),1).
ex(140,concentration('36481: cpd:C00588',no_change,'Day7'),1).
ex(141,concentration('36137: cpd:C00042',up,'Day7'),1).
ex(142,concentration('36449: cpd:C06428',up,'Day7'),1).
ex(143,concentration('36413: cpd:C06429',down,'Day7'),1).
ex(144,concentration('35981: cpd:C00031',down,'Day7'),1).
ex(145,concentration('36519: cpd:C00245',up,'Day7'),1).
ex(146,concentration('36380: cpd:C00219',down,'Day7'),1).
ex(147,concentration('36447: cpd:C00189',down,'Day7'),1).
ex(148,concentration('36032: cpd:C00051',up,'Day7'),1).
ex(149,concentration('36364: cpd:C01530',up,'Day7'),1).
ex(150,concentration('35982: cpd:C00149',no_change,'Day7'),1).
ex(151,concentration('36193: cpd:C00047',up,'Day7'),1).
ex(152,concentration('36354: cpd:C00148',no_change,'Day7'),1).
ex(153,concentration('36450: cpd:C01089',no_change,'Day7'),1).
ex(154,concentration('35953: cpd:C00064',up,'Day7'),1).
ex(155,concentration('36157: cpd:C00188',up,'Day7'),1).
ex(156,concentration('35991: cpd:C00082',no_change,'Day7'),1).
ex(157,concentration('36445: cpd:C06427',no_change,'Day14'),1).
ex(158,concentration('36092: cpd:C01595',up,'Day14'),1).
ex(159,concentration('36995: cpd:C00299',no_change,'Day14'),1).
ex(160,concentration('36044: cpd:C00407',up,'Day14'),1).
ex(161,concentration('36425: cpd:C06425',down,'Day14'),1).
ex(162,concentration('38699: cpd:C00256',no_change,'Day14'),1).
ex(163,concentration('37355: cpd:C00121',down,'Day14'),1).
ex(164,concentration('36103: cpd:C06426',no_change,'Day14'),1).
ex(165,concentration('37490: cpd:C00369',down,'Day14'),1).
ex(166,concentration('35984: cpd:C00037',up,'Day14'),1).
ex(167,concentration('35967: cpd:C00065',up,'Day14'),1).
ex(168,concentration('36056: cpd:C00258',no_change,'Day14'),1).
ex(169,concentration('36189: cpd:C00670',no_change,'Day14'),1).
ex(170,concentration('37417: cpd:C06424',down,'Day14'),1).
ex(171,concentration('36804: cpd:C01879',up,'Day14'),1).
ex(172,concentration('36094: cpd:C00077',up,'Day14'),1).
ex(173,concentration('36786: cpd:C00127',no_change,'Day14'),1).
ex(174,concentration('36183: cpd:C00267',down,'Day14'),1).
ex(175,concentration('36397: cpd:C03242',up,'Day14'),1).
ex(176,concentration('37385: cpd:C05984',no_change,'Day14'),1).
ex(177,concentration('37166: cpd:C00212',down,'Day14'),1).
ex(178,concentration('36139: cpd:C00137',no_change,'Day14'),1).
ex(179,concentration('36375: cpd:C00249',down,'Day14'),1).
ex(180,concentration('35943: cpd:C00079',no_change,'Day14'),1).
ex(181,concentration('36188: cpd:C00221',down,'Day14'),1).
ex(182,concentration('36370: cpd:C00712',up,'Day14'),1).
ex(183,concentration('36128: cpd:C00123',no_change,'Day14'),1).
ex(184,concentration('35945: cpd:C00183',no_change,'Day14'),1).
ex(185,concentration('35960: cpd:C00025',no_change,'Day14'),1).
ex(186,concentration('35940: cpd:C00158',no_change,'Day14'),1).
ex(187,concentration('37415: cpd:C02679',no_change,'Day14'),1).
ex(188,concentration('36085: cpd:C00122',no_change,'Day14'),1).
ex(189,concentration('35947: cpd:C00114',no_change,'Day14'),1).
ex(190,concentration('36047: cpd:C00041',up,'Day14'),1).
ex(191,concentration('36517: cpd:C00095',no_change,'Day14'),1).
ex(192,concentration('36481: cpd:C00588',up,'Day14'),1).
ex(193,concentration('36137: cpd:C00042',up,'Day14'),1).
ex(194,concentration('36449: cpd:C06428',up,'Day14'),1).
ex(195,concentration('36413: cpd:C06429',no_change,'Day14'),1).
ex(196,concentration('35981: cpd:C00031',down,'Day14'),1).
ex(197,concentration('36519: cpd:C00245',no_change,'Day14'),1).
ex(198,concentration('36380: cpd:C00219',no_change,'Day14'),1).
ex(199,concentration('36447: cpd:C00189',no_change,'Day14'),1).
ex(200,concentration('36032: cpd:C00051',up,'Day14'),1).
ex(201,concentration('36364: cpd:C01530',down,'Day14'),1).
ex(202,concentration('35982: cpd:C00149',down,'Day14'),1).
ex(203,concentration('36193: cpd:C00047',no_change,'Day14'),1).
ex(204,concentration('36354: cpd:C00148',up,'Day14'),1).
ex(205,concentration('36450: cpd:C01089',no_change,'Day14'),1).
ex(206,concentration('35953: cpd:C00064',up,'Day14'),1).
ex(207,concentration('36157: cpd:C00188',up,'Day14'),1).
ex(208,concentration('35991: cpd:C00082',no_change,'Day14'),1).
