

om:-
	tell('om.pl'),
	forall(ex(EI,concentration(MID,Change,Time),PosNegSign),om(ex(EI,concentration(MID,Change,Time),PosNegSign))),
	told.


om(ex(EI,concentration(MID,Change,Time),PosNegSign)):-
	concept_accession0(MID,'KEGG',KEGGID,true),
	concept_accession(MID_new,'KEGG',KEGGID,true),
	portray_clause(ex(EI,concentration(MID_new,Change,Time),PosNegSign)).

getAllEx_oneTimePoint('Day1',AllEx) :- numbersList(1,52,AllEx).
getAllEx_oneTimePoint('Day3',AllEx) :- numbersList(53,104,AllEx).
getAllEx_oneTimePoint('Day7',AllEx) :- numbersList(105,156,AllEx).
getAllEx_oneTimePoint('Day14',AllEx) :- numbersList(157,208,AllEx).


% no matter which time point, as long as it is no_change, then it can be predicted by default
default_predict(EI):-
	ex(EI,concentration(MID,no_change,Time),1).
	


% UnwantedList=['ATP','NAD+','UTP','Nicotinamide',dAMP,'NOT IN ONDEX KEGG RNO GRAPH','Decanoic acid','(9Z)-Hexadecenoic acid','(7Z,10Z,13Z,16Z,19Z)-Docosa-7,10,13,16,19-pentaenoic acid','Icosadienoic acid','Icosenoic acid','7,10,13,16-Docosatetraenoic acid','Docosanoic acid']

:- dynamic ex/3.


gEx(PianoNumDepthLimit,EI,OneTr):-
	ex(EI,concentration(MID,Change,Time),PosNegSign),
	concentration(PianoNumDepthLimit,[],OneTr,[MID],MID,Change,Time).

ex(1,concentration('18472',up,'Day1'),1).
ex(2,concentration('18437',no_change,'Day1'),1).
ex(3,concentration('17372',down,'Day1'),1).
ex(4,concentration('17506',down,'Day1'),1).
ex(5,concentration('19280',no_change,'Day1'),1).
ex(6,concentration('18613',no_change,'Day1'),1).
ex(7,concentration('16752',no_change,'Day1'),1).
ex(8,concentration('18436',no_change,'Day1'),1).
ex(9,concentration('18051',down,'Day1'),1).
ex(10,concentration('17084',up,'Day1'),1).
ex(11,concentration('17448',down,'Day1'),1).
ex(12,concentration('16736',up,'Day1'),1).
ex(13,concentration('18329',no_change,'Day1'),1).
ex(14,concentration('16921',no_change,'Day1'),1).
ex(15,concentration('18036',up,'Day1'),1).
ex(16,concentration('17628',no_change,'Day1'),1).
ex(17,concentration('18028',no_change,'Day1'),1).
ex(18,concentration('16697',down,'Day1'),1).
ex(19,concentration('18431',no_change,'Day1'),1).
ex(20,concentration('18645',up,'Day1'),1).
ex(21,concentration('17299',down,'Day1'),1).
ex(22,concentration('16866',up,'Day1'),1).
ex(23,concentration('16906',no_change,'Day1'),1).
ex(24,concentration('17824',no_change,'Day1'),1).
ex(25,concentration('16721',down,'Day1'),1).
ex(26,concentration('16916',no_change,'Day1'),1).
ex(27,concentration('17516',down,'Day1'),1).
ex(28,concentration('17509',down,'Day1'),1).
ex(29,concentration('17407',up,'Day1'),1).
ex(30,concentration('16725',up,'Day1'),1).
ex(31,concentration('16903',no_change,'Day1'),1).
ex(32,concentration('16733',no_change,'Day1'),1).
ex(33,concentration('17432',no_change,'Day1'),1).
ex(34,concentration('17415',no_change,'Day1'),1).
ex(35,concentration('16817',down,'Day1'),1).
ex(36,concentration('18304',no_change,'Day1'),1).
ex(37,concentration('16723',up,'Day1'),1).
ex(38,concentration('19262',no_change,'Day1'),1).
ex(39,concentration('19281',no_change,'Day1'),1).
ex(40,concentration('16698',down,'Day1'),1).
ex(41,concentration('17092',no_change,'Day1'),1).
ex(42,concentration('18426',no_change,'Day1'),1).
ex(43,concentration('18311',down,'Day1'),1).
ex(44,concentration('17492',up,'Day1'),1).
ex(45,concentration('16918',no_change,'Day1'),1).
ex(46,concentration('16730',no_change,'Day1'),1).
ex(47,concentration('17568',no_change,'Day1'),1).
ex(48,concentration('17616',no_change,'Day1'),1).
ex(49,concentration('16998',no_change,'Day1'),1).
ex(50,concentration('17297',up,'Day1'),1).
ex(51,concentration('17456',no_change,'Day1'),1).
ex(52,concentration('17112',no_change,'Day1'),1).
ex(53,concentration('18472',no_change,'Day3'),1).
ex(54,concentration('18437',up,'Day3'),1).
ex(55,concentration('17372',no_change,'Day3'),1).
ex(56,concentration('17506',no_change,'Day3'),1).
ex(57,concentration('19280',down,'Day3'),1).
ex(58,concentration('18613',up,'Day3'),1).
ex(59,concentration('16752',down,'Day3'),1).
ex(60,concentration('18436',up,'Day3'),1).
ex(61,concentration('18051',down,'Day3'),1).
ex(62,concentration('17084',up,'Day3'),1).
ex(63,concentration('17448',down,'Day3'),1).
ex(64,concentration('16736',no_change,'Day3'),1).
ex(65,concentration('18329',down,'Day3'),1).
ex(66,concentration('16921',no_change,'Day3'),1).
ex(67,concentration('18036',up,'Day3'),1).
ex(68,concentration('17628',no_change,'Day3'),1).
ex(69,concentration('18028',no_change,'Day3'),1).
ex(70,concentration('16697',down,'Day3'),1).
ex(71,concentration('18431',up,'Day3'),1).
ex(72,concentration('18645',no_change,'Day3'),1).
ex(73,concentration('17299',down,'Day3'),1).
ex(74,concentration('16866',down,'Day3'),1).
ex(75,concentration('16906',down,'Day3'),1).
ex(76,concentration('17824',down,'Day3'),1).
ex(77,concentration('16721',down,'Day3'),1).
ex(78,concentration('16916',up,'Day3'),1).
ex(79,concentration('17516',down,'Day3'),1).
ex(80,concentration('17509',down,'Day3'),1).
ex(81,concentration('17407',up,'Day3'),1).
ex(82,concentration('16725',no_change,'Day3'),1).
ex(83,concentration('16903',no_change,'Day3'),1).
ex(84,concentration('16733',no_change,'Day3'),1).
ex(85,concentration('17432',down,'Day3'),1).
ex(86,concentration('17415',up,'Day3'),1).
ex(87,concentration('16817',down,'Day3'),1).
ex(88,concentration('18304',no_change,'Day3'),1).
ex(89,concentration('16723',up,'Day3'),1).
ex(90,concentration('19262',up,'Day3'),1).
ex(91,concentration('19281',down,'Day3'),1).
ex(92,concentration('16698',down,'Day3'),1).
ex(93,concentration('17092',up,'Day3'),1).
ex(94,concentration('18426',down,'Day3'),1).
ex(95,concentration('18311',down,'Day3'),1).
ex(96,concentration('17492',up,'Day3'),1).
ex(97,concentration('16918',down,'Day3'),1).
ex(98,concentration('16730',no_change,'Day3'),1).
ex(99,concentration('17568',no_change,'Day3'),1).
ex(100,concentration('17616',no_change,'Day3'),1).
ex(101,concentration('16998',up,'Day3'),1).
ex(102,concentration('17297',up,'Day3'),1).
ex(103,concentration('17456',no_change,'Day3'),1).
ex(104,concentration('17112',down,'Day3'),1).
ex(105,concentration('18472',down,'Day7'),1).
ex(106,concentration('18437',up,'Day7'),1).
ex(107,concentration('17372',no_change,'Day7'),1).
ex(108,concentration('17506',no_change,'Day7'),1).
ex(109,concentration('19280',down,'Day7'),1).
ex(110,concentration('18613',no_change,'Day7'),1).
ex(111,concentration('16752',no_change,'Day7'),1).
ex(112,concentration('18436',no_change,'Day7'),1).
ex(113,concentration('18051',down,'Day7'),1).
ex(114,concentration('17084',up,'Day7'),1).
ex(115,concentration('17448',down,'Day7'),1).
ex(116,concentration('16736',no_change,'Day7'),1).
ex(117,concentration('18329',down,'Day7'),1).
ex(118,concentration('16921',no_change,'Day7'),1).
ex(119,concentration('18036',no_change,'Day7'),1).
ex(120,concentration('17628',up,'Day7'),1).
ex(121,concentration('18028',up,'Day7'),1).
ex(122,concentration('16697',down,'Day7'),1).
ex(123,concentration('18431',no_change,'Day7'),1).
ex(124,concentration('18645',no_change,'Day7'),1).
ex(125,concentration('17299',down,'Day7'),1).
ex(126,concentration('16866',up,'Day7'),1).
ex(127,concentration('16906',down,'Day7'),1).
ex(128,concentration('17824',no_change,'Day7'),1).
ex(129,concentration('16721',down,'Day7'),1).
ex(130,concentration('16916',up,'Day7'),1).
ex(131,concentration('17516',no_change,'Day7'),1).
ex(132,concentration('17509',no_change,'Day7'),1).
ex(133,concentration('17407',no_change,'Day7'),1).
ex(134,concentration('16725',up,'Day7'),1).
ex(135,concentration('16903',down,'Day7'),1).
ex(136,concentration('16733',up,'Day7'),1).
ex(137,concentration('17432',no_change,'Day7'),1).
ex(138,concentration('17415',no_change,'Day7'),1).
ex(139,concentration('16817',down,'Day7'),1).
ex(140,concentration('18304',no_change,'Day7'),1).
ex(141,concentration('16723',up,'Day7'),1).
ex(142,concentration('19262',up,'Day7'),1).
ex(143,concentration('19281',down,'Day7'),1).
ex(144,concentration('16698',down,'Day7'),1).
ex(145,concentration('17092',up,'Day7'),1).
ex(146,concentration('18426',down,'Day7'),1).
ex(147,concentration('18311',down,'Day7'),1).
ex(148,concentration('17492',up,'Day7'),1).
ex(149,concentration('16918',up,'Day7'),1).
ex(150,concentration('16730',no_change,'Day7'),1).
ex(151,concentration('17568',up,'Day7'),1).
ex(152,concentration('17616',no_change,'Day7'),1).
ex(153,concentration('16998',no_change,'Day7'),1).
ex(154,concentration('17297',up,'Day7'),1).
ex(155,concentration('17456',up,'Day7'),1).
ex(156,concentration('17112',no_change,'Day7'),1).
ex(157,concentration('18472',no_change,'Day14'),1).
ex(158,concentration('18437',up,'Day14'),1).
ex(159,concentration('17372',no_change,'Day14'),1).
ex(160,concentration('17506',up,'Day14'),1).
ex(161,concentration('19280',down,'Day14'),1).
ex(162,concentration('18613',no_change,'Day14'),1).
ex(163,concentration('16752',down,'Day14'),1).
ex(164,concentration('18436',no_change,'Day14'),1).
ex(165,concentration('18051',down,'Day14'),1).
ex(166,concentration('17084',up,'Day14'),1).
ex(167,concentration('17448',up,'Day14'),1).
ex(168,concentration('16736',no_change,'Day14'),1).
ex(169,concentration('18329',no_change,'Day14'),1).
ex(170,concentration('16921',down,'Day14'),1).
ex(171,concentration('18036',up,'Day14'),1).
ex(172,concentration('17628',up,'Day14'),1).
ex(173,concentration('18028',no_change,'Day14'),1).
ex(174,concentration('16697',down,'Day14'),1).
ex(175,concentration('18431',up,'Day14'),1).
ex(176,concentration('18645',no_change,'Day14'),1).
ex(177,concentration('17299',down,'Day14'),1).
ex(178,concentration('16866',no_change,'Day14'),1).
ex(179,concentration('16906',down,'Day14'),1).
ex(180,concentration('17824',no_change,'Day14'),1).
ex(181,concentration('16721',down,'Day14'),1).
ex(182,concentration('16916',up,'Day14'),1).
ex(183,concentration('17516',no_change,'Day14'),1).
ex(184,concentration('17509',no_change,'Day14'),1).
ex(185,concentration('17407',no_change,'Day14'),1).
ex(186,concentration('16725',no_change,'Day14'),1).
ex(187,concentration('16903',no_change,'Day14'),1).
ex(188,concentration('16733',no_change,'Day14'),1).
ex(189,concentration('17432',no_change,'Day14'),1).
ex(190,concentration('17415',up,'Day14'),1).
ex(191,concentration('16817',no_change,'Day14'),1).
ex(192,concentration('18304',up,'Day14'),1).
ex(193,concentration('16723',up,'Day14'),1).
ex(194,concentration('19262',up,'Day14'),1).
ex(195,concentration('19281',no_change,'Day14'),1).
ex(196,concentration('16698',down,'Day14'),1).
ex(197,concentration('17092',no_change,'Day14'),1).
ex(198,concentration('18426',no_change,'Day14'),1).
ex(199,concentration('18311',no_change,'Day14'),1).
ex(200,concentration('17492',up,'Day14'),1).
ex(201,concentration('16918',down,'Day14'),1).
ex(202,concentration('16730',down,'Day14'),1).
ex(203,concentration('17568',no_change,'Day14'),1).
ex(204,concentration('17616',up,'Day14'),1).
ex(205,concentration('16998',no_change,'Day14'),1).
ex(206,concentration('17297',up,'Day14'),1).
ex(207,concentration('17456',up,'Day14'),1).
ex(208,concentration('17112',no_change,'Day14'),1).

/*
ex(1,concentration('17407',up,'Day1'),1).
ex(2,concentration('16698',down,'Day1'),1).
ex(3,concentration('17084',up,'Day1'),1).
ex(4,concentration('17415',no_change,'Day1'),1).
ex(5,concentration('16723',up,'Day1'),1).
ex(6,concentration('17568',no_change,'Day1'),1).
ex(7,concentration('17492',up,'Day1'),1).
ex(8,concentration('17297',up,'Day1'),1).
ex(9,concentration('17448',down,'Day1'),1).
ex(10,concentration('17628',no_change,'Day1'),1).
ex(11,concentration('17824',no_change,'Day1'),1).
ex(12,concentration('17112',no_change,'Day1'),1).
ex(13,concentration('16817',down,'Day1'),1).
ex(14,concentration('17432',no_change,'Day1'),1).
ex(15,concentration('16752',no_change,'Day1'),1).
ex(16,concentration('16733',no_change,'Day1'),1).
ex(17,concentration('17516',down,'Day1'),1).
ex(18,concentration('18028',no_change,'Day1'),1).
ex(19,concentration('16866',up,'Day1'),1).
ex(20,concentration('17616',no_change,'Day1'),1).
ex(21,concentration('16730',no_change,'Day1'),1).
ex(22,concentration('16725',up,'Day1'),1).
ex(23,concentration('17509',down,'Day1'),1).
ex(24,concentration('17456',no_change,'Day1'),1).
ex(25,concentration('18311',down,'Day1'),1).
ex(26,concentration('17299',down,'Day1'),1).
ex(27,concentration('18426',no_change,'Day1'),1).
ex(28,concentration('16721',down,'Day1'),1).
ex(29,concentration('17092',no_change,'Day1'),1).
ex(30,concentration('16906',no_change,'Day1'),1).
ex(31,concentration('18613',no_change,'Day1'),1).
ex(32,concentration('16736',up,'Day1'),1).
ex(33,concentration('16697',down,'Day1'),1).
ex(34,concentration('17372',down,'Day1'),1).
ex(35,concentration('18051',down,'Day1'),1).
ex(36,concentration('17506',down,'Day1'),1).
ex(37,concentration('18304',no_change,'Day1'),1).
ex(38,concentration('18329',no_change,'Day1'),1).
ex(39,concentration('16916',no_change,'Day1'),1).
ex(40,concentration('16998',no_change,'Day1'),1).
ex(41,concentration('16918',no_change,'Day1'),1).
ex(42,concentration('18437',no_change,'Day1'),1).
ex(43,concentration('18036',up,'Day1'),1).
ex(44,concentration('16903',no_change,'Day1'),1).
ex(45,concentration('18431',no_change,'Day1'),1).
ex(46,concentration('18645',up,'Day1'),1).
ex(47,concentration('16921',no_change,'Day1'),1).
ex(48,concentration('18436',no_change,'Day1'),1).
ex(49,concentration('18472',up,'Day1'),1).
ex(50,concentration('19262',no_change,'Day1'),1).
ex(51,concentration('19281',no_change,'Day1'),1).
ex(52,concentration('19280',no_change,'Day1'),1).
ex(53,concentration('17407',up,'Day3'),1).
ex(54,concentration('16698',down,'Day3'),1).
ex(55,concentration('17084',up,'Day3'),1).
ex(56,concentration('17415',up,'Day3'),1).
ex(57,concentration('16723',up,'Day3'),1).
ex(58,concentration('17568',no_change,'Day3'),1).
ex(59,concentration('17492',up,'Day3'),1).
ex(60,concentration('17297',up,'Day3'),1).
ex(61,concentration('17448',down,'Day3'),1).
ex(62,concentration('17628',no_change,'Day3'),1).
ex(63,concentration('17824',down,'Day3'),1).
ex(64,concentration('17112',down,'Day3'),1).
ex(65,concentration('16817',down,'Day3'),1).
ex(66,concentration('17432',down,'Day3'),1).
ex(67,concentration('16752',down,'Day3'),1).
ex(68,concentration('16733',no_change,'Day3'),1).
ex(69,concentration('17516',down,'Day3'),1).
ex(70,concentration('18028',no_change,'Day3'),1).
ex(71,concentration('16866',down,'Day3'),1).
ex(72,concentration('17616',no_change,'Day3'),1).
ex(73,concentration('16730',no_change,'Day3'),1).
ex(74,concentration('16725',no_change,'Day3'),1).
ex(75,concentration('17509',down,'Day3'),1).
ex(76,concentration('17456',no_change,'Day3'),1).
ex(77,concentration('18311',down,'Day3'),1).
ex(78,concentration('17299',down,'Day3'),1).
ex(79,concentration('18426',down,'Day3'),1).
ex(80,concentration('16721',down,'Day3'),1).
ex(81,concentration('17092',up,'Day3'),1).
ex(82,concentration('16906',down,'Day3'),1).
ex(83,concentration('18613',up,'Day3'),1).
ex(84,concentration('16736',no_change,'Day3'),1).
ex(85,concentration('16697',down,'Day3'),1).
ex(86,concentration('17372',no_change,'Day3'),1).
ex(87,concentration('18051',down,'Day3'),1).
ex(88,concentration('17506',no_change,'Day3'),1).
ex(89,concentration('18304',no_change,'Day3'),1).
ex(90,concentration('18329',down,'Day3'),1).
ex(91,concentration('16916',up,'Day3'),1).
ex(92,concentration('16998',up,'Day3'),1).
ex(93,concentration('16918',down,'Day3'),1).
ex(94,concentration('18437',up,'Day3'),1).
ex(95,concentration('18036',up,'Day3'),1).
ex(96,concentration('16903',no_change,'Day3'),1).
ex(97,concentration('18431',up,'Day3'),1).
ex(98,concentration('18645',no_change,'Day3'),1).
ex(99,concentration('16921',no_change,'Day3'),1).
ex(100,concentration('18436',up,'Day3'),1).
ex(101,concentration('18472',no_change,'Day3'),1).
ex(102,concentration('19262',up,'Day3'),1).
ex(103,concentration('19281',down,'Day3'),1).
ex(104,concentration('19280',down,'Day3'),1).
ex(105,concentration('17407',no_change,'Day7'),1).
ex(106,concentration('16698',down,'Day7'),1).
ex(107,concentration('17084',up,'Day7'),1).
ex(108,concentration('17415',no_change,'Day7'),1).
ex(109,concentration('16723',up,'Day7'),1).
ex(110,concentration('17568',up,'Day7'),1).
ex(111,concentration('17492',up,'Day7'),1).
ex(112,concentration('17297',up,'Day7'),1).
ex(113,concentration('17448',down,'Day7'),1).
ex(114,concentration('17628',up,'Day7'),1).
ex(115,concentration('17824',no_change,'Day7'),1).
ex(116,concentration('17112',no_change,'Day7'),1).
ex(117,concentration('16817',down,'Day7'),1).
ex(118,concentration('17432',no_change,'Day7'),1).
ex(119,concentration('16752',no_change,'Day7'),1).
ex(120,concentration('16733',up,'Day7'),1).
ex(121,concentration('17516',no_change,'Day7'),1).
ex(122,concentration('18028',up,'Day7'),1).
ex(123,concentration('16866',up,'Day7'),1).
ex(124,concentration('17616',no_change,'Day7'),1).
ex(125,concentration('16730',no_change,'Day7'),1).
ex(126,concentration('16725',up,'Day7'),1).
ex(127,concentration('17509',no_change,'Day7'),1).
ex(128,concentration('17456',up,'Day7'),1).
ex(129,concentration('18311',down,'Day7'),1).
ex(130,concentration('17299',down,'Day7'),1).
ex(131,concentration('18426',down,'Day7'),1).
ex(132,concentration('16721',down,'Day7'),1).
ex(133,concentration('17092',up,'Day7'),1).
ex(134,concentration('16906',down,'Day7'),1).
ex(135,concentration('18613',no_change,'Day7'),1).
ex(136,concentration('16736',no_change,'Day7'),1).
ex(137,concentration('16697',down,'Day7'),1).
ex(138,concentration('17372',no_change,'Day7'),1).
ex(139,concentration('18051',down,'Day7'),1).
ex(140,concentration('17506',no_change,'Day7'),1).
ex(141,concentration('18304',no_change,'Day7'),1).
ex(142,concentration('18329',down,'Day7'),1).
ex(143,concentration('16916',up,'Day7'),1).
ex(144,concentration('16998',no_change,'Day7'),1).
ex(145,concentration('16918',up,'Day7'),1).
ex(146,concentration('18437',up,'Day7'),1).
ex(147,concentration('18036',no_change,'Day7'),1).
ex(148,concentration('16903',down,'Day7'),1).
ex(149,concentration('18431',no_change,'Day7'),1).
ex(150,concentration('18645',no_change,'Day7'),1).
ex(151,concentration('16921',no_change,'Day7'),1).
ex(152,concentration('18436',no_change,'Day7'),1).
ex(153,concentration('18472',down,'Day7'),1).
ex(154,concentration('19262',up,'Day7'),1).
ex(155,concentration('19281',down,'Day7'),1).
ex(156,concentration('19280',down,'Day7'),1).
ex(157,concentration('17407',no_change,'Day14'),1).
ex(158,concentration('16698',down,'Day14'),1).
ex(159,concentration('17084',up,'Day14'),1).
ex(160,concentration('17415',up,'Day14'),1).
ex(161,concentration('16723',up,'Day14'),1).
ex(162,concentration('17568',no_change,'Day14'),1).
ex(163,concentration('17492',up,'Day14'),1).
ex(164,concentration('17297',up,'Day14'),1).
ex(165,concentration('17448',up,'Day14'),1).
ex(166,concentration('17628',up,'Day14'),1).
ex(167,concentration('17824',no_change,'Day14'),1).
ex(168,concentration('17112',no_change,'Day14'),1).
ex(169,concentration('16817',no_change,'Day14'),1).
ex(170,concentration('17432',no_change,'Day14'),1).
ex(171,concentration('16752',down,'Day14'),1).
ex(172,concentration('16733',no_change,'Day14'),1).
ex(173,concentration('17516',no_change,'Day14'),1).
ex(174,concentration('18028',no_change,'Day14'),1).
ex(175,concentration('16866',no_change,'Day14'),1).
ex(176,concentration('17616',up,'Day14'),1).
ex(177,concentration('16730',down,'Day14'),1).
ex(178,concentration('16725',no_change,'Day14'),1).
ex(179,concentration('17509',no_change,'Day14'),1).
ex(180,concentration('17456',up,'Day14'),1).
ex(181,concentration('18311',no_change,'Day14'),1).
ex(182,concentration('17299',down,'Day14'),1).
ex(183,concentration('18426',no_change,'Day14'),1).
ex(184,concentration('16721',down,'Day14'),1).
ex(185,concentration('17092',no_change,'Day14'),1).
ex(186,concentration('16906',down,'Day14'),1).
ex(187,concentration('18613',no_change,'Day14'),1).
ex(188,concentration('16736',no_change,'Day14'),1).
ex(189,concentration('16697',down,'Day14'),1).
ex(190,concentration('17372',no_change,'Day14'),1).
ex(191,concentration('18051',down,'Day14'),1).
ex(192,concentration('17506',up,'Day14'),1).
ex(193,concentration('18304',up,'Day14'),1).
ex(194,concentration('18329',no_change,'Day14'),1).
ex(195,concentration('16916',up,'Day14'),1).
ex(196,concentration('16998',no_change,'Day14'),1).
ex(197,concentration('16918',down,'Day14'),1).
ex(198,concentration('18437',up,'Day14'),1).
ex(199,concentration('18036',up,'Day14'),1).
ex(200,concentration('16903',no_change,'Day14'),1).
ex(201,concentration('18431',up,'Day14'),1).
ex(202,concentration('18645',no_change,'Day14'),1).
ex(203,concentration('16921',down,'Day14'),1).
ex(204,concentration('18436',no_change,'Day14'),1).
ex(205,concentration('18472',no_change,'Day14'),1).
ex(206,concentration('19262',up,'Day14'),1).
ex(207,concentration('19281',no_change,'Day14'),1).
ex(208,concentration('19280',down,'Day14'),1).
*/
