% The mapping to EC is done through enzyme, rather than reaction 

%Title: 25Sep2010_cancer.pl
%By: Hiroaki Watanabe
%Source: full05.xml.gz
%Memo: Unconnected concepts were removed via Ondex
%

%
%Rules for generating mapping from Probe to EC
%
%map(ProbeID,KEGG_GeneID,ECID) :-
%	is_related_to(Probe,Gene,_),
%	is_encoded_by(Protein,Gene,_),
%	is_a(Enzyme,Protein,_),
%	part_of_catalyzing_class(Enzyme,EC,_),
%	concept_name(Probe,ProbeID,true),
%	concept_name(Gene,GeneID,true),
%	concept_name(EC,ECID,true).
%
%

% Note: You can find Ondex IDs of concentration_enzClass/2
%       by using the following clause.
%
%expressionOndex(OndexID,UpDown) :- concentration_enzClass(EC,UpDown),
%                                   concept_name(OndexID,EC,_).
%

% Expression Data (Up/Down)
concentration_enzClass('3.1.3.4', down).
concentration_enzClass('3.5.2.9', down).
concentration_enzClass('2.3.1.20', down).
concentration_enzClass('1.1.1.47', down).
concentration_enzClass('1.3.99.10', down).
concentration_enzClass('2.7.1.113', up).
concentration_enzClass('2.7.7.8', down).
concentration_enzClass('3.6.1.28', down).
concentration_enzClass('1.2.1.3', down).
concentration_enzClass('3.3.2.9', up).
concentration_enzClass('1.1.3.15', down).
concentration_enzClass('2.7.1.11', up).
concentration_enzClass('4.2.1.2', down).
concentration_enzClass('3.1.3.2', down).
concentration_enzClass('1.1.1.30', down).
concentration_enzClass('4.3.1.3', down).
concentration_enzClass('5.3.3.-', down).
concentration_enzClass('1.1.1.146', up).
concentration_enzClass('6.3.4.14', up).
concentration_enzClass('2.7.1.36', down).
concentration_enzClass('2.6.1.44', down).
concentration_enzClass('1.1.1.42', down).
concentration_enzClass('1.1.1.1', down).
concentration_enzClass('1.1.1.184', down).
concentration_enzClass('1.2.1.5', down).
concentration_enzClass('2.7.7.30', down).
concentration_enzClass('5.1.3.2', down).
concentration_enzClass('1.1.3.8', down).
concentration_enzClass('1.14.99.7', down).
concentration_enzClass('1.13.11.11', down).
concentration_enzClass('6.2.1.4', down).
concentration_enzClass('3.1.1.5', down).
concentration_enzClass('1.4.3.4', down).
concentration_enzClass('2.3.3.8', down).
concentration_enzClass('3.1.4.17', down).
concentration_enzClass('3.2.1.-', down).
concentration_enzClass('2.6.1.13', down).
concentration_enzClass('3.1.4.4', down).
concentration_enzClass('2.4.1.142', down).
concentration_enzClass('2.3.1.48', up).
concentration_enzClass('3.4.11.2', down).
concentration_enzClass('2.1.2.5', down).
concentration_enzClass('2.4.1.83', down).
concentration_enzClass('4.4.1.1', down).
concentration_enzClass('1.3.1.2', down).
concentration_enzClass('2.5.1.57', down).
concentration_enzClass('3.4.11.1', down).
concentration_enzClass('2.6.1.1', down).
concentration_enzClass('2.7.7.6', down).
concentration_enzClass('2.1.1.20', down).
concentration_enzClass('2.7.4.6', down).
concentration_enzClass('2.7.8.-', down).
concentration_enzClass('2.8.2-', down).
concentration_enzClass('3.5.1.15', down).
concentration_enzClass('1.14.-.-', down).
concentration_enzClass('3.1.1.23', up).
concentration_enzClass('1.3.3.3', down).
concentration_enzClass('2.7.1.154', down).
concentration_enzClass('1.1.5.3', up).
concentration_enzClass('4.2.1.17', down).
concentration_enzClass('4.1.1.32', down).
concentration_enzClass('3.1.3.5', down).
concentration_enzClass('1.13.11.27', down).
concentration_enzClass('2.7.1.-', down).
concentration_enzClass('2.7.1.91', down).
concentration_enzClass('1.6.5.3', down).
concentration_enzClass('3.5.3.11', down).
concentration_enzClass('4.1.1.9', down).
concentration_enzClass('2.7.1.59', up).
concentration_enzClass('1.14.11.1', down).
concentration_enzClass('1.2.3.1', up).
concentration_enzClass('2.3.3.10', down).
concentration_enzClass('2.5.1.56', down).
concentration_enzClass('3.1.3.56', up).
concentration_enzClass('2.4.1.130', down).
concentration_enzClass('3.4.19.9', down).
concentration_enzClass('1.5.1.3', down).
concentration_enzClass('1.13.11.6', down).
concentration_enzClass('1.11.1.7', down).
concentration_enzClass('1.3.99.2', down).
concentration_enzClass('2.4.1.11', down).
concentration_enzClass('1.14.11.2', down).
concentration_enzClass('4.1.3.4', down).
concentration_enzClass('5.4.2.2', down).
concentration_enzClass('1.1.1.34', up).
concentration_enzClass('2.2.1.1', up).
concentration_enzClass('2.5.1.21', down).
concentration_enzClass('2.7.1.105', down).
concentration_enzClass('1.14.99.3', down).
concentration_enzClass('2.5.1.18', up).
concentration_enzClass('6.3.5.2', down).
concentration_enzClass('6.1.1.18', down).
concentration_enzClass('2.3.1.15', down).
concentration_enzClass('1.14.99.36', down).
concentration_enzClass('2.7.8.3', down).
concentration_enzClass('4.1.2.13', down).
concentration_enzClass('1.14.11.8', down).
concentration_enzClass('2.6.1.19', down).
concentration_enzClass('4.1.1.35', down).
concentration_enzClass('2.1.1.-', up).
concentration_enzClass('3.1.3.-', down).
concentration_enzClass('3.3.2.10', down).
concentration_enzClass('6.3.1.2', down).
concentration_enzClass('2.4.2.10', down).
concentration_enzClass('4.2.1.3', down).
concentration_enzClass('2.7.2.3', down).
concentration_enzClass('3.2.1.84', down).
concentration_enzClass('2.1.1.6', down).
concentration_enzClass('1.8.4.2', down).
concentration_enzClass('2.4.1.132', down).
concentration_enzClass('3.6.1.-', down).
concentration_enzClass('3.1.3.36', down).
concentration_enzClass('2.4.2.26', down).
concentration_enzClass('2.5.1.61', down).
concentration_enzClass('6.1.1.9', down).
concentration_enzClass('3.6.1.43', up).
concentration_enzClass('5.4.2.8', down).
concentration_enzClass('2.6.1.52', up).
concentration_enzClass('3.1.1.1', down).
concentration_enzClass('3.5.2.2', down).
concentration_enzClass('1.16.3.1', down).
concentration_enzClass('2.3.1.37', up).
concentration_enzClass('2.4.1.18', down).
concentration_enzClass('2.7.1.1', down).
concentration_enzClass('3.7.1.2', down).
concentration_enzClass('3.2.1.114', up).
concentration_enzClass('2.7.4.10', down).
concentration_enzClass('4.4.1.20', up).
concentration_enzClass('1.3.1.38', up).
concentration_enzClass('4.3.2.1', down).
concentration_enzClass('3.1.3.9', down).
concentration_enzClass('2.6.1.5', down).
concentration_enzClass('2.7.7.7', down).
concentration_enzClass('3.5.1.12', up).
concentration_enzClass('2.8.1.7', down).
concentration_enzClass('1.13.11.33', up).
concentration_enzClass('2.1.1.2', down).
concentration_enzClass('1.1.99.1', down).
concentration_enzClass('3.5.1.23', up).
concentration_enzClass('2.3.1.42', down).
concentration_enzClass('5.3.1.1', down).
concentration_enzClass('1.3.99.13', down).
concentration_enzClass('2.7.7.-', down).
concentration_enzClass('4.1.1.28', up).
concentration_enzClass('3.5.1.6', down).
concentration_enzClass('1.3.99.-', down).
concentration_enzClass('2.3.2.2', down).
concentration_enzClass('4.2.3.12', down).
concentration_enzClass('1.1.-.-', down).
concentration_enzClass('3.1.3.7', down).
concentration_enzClass('1.17.1.4', down).
concentration_enzClass('1.1.1.49', up).
concentration_enzClass('2.4.1.141', down).
concentration_enzClass('2.7.4.3', down).
concentration_enzClass('3.7.1.3', down).
concentration_enzClass('1.1.1.21', down).
concentration_enzClass('4.6.1.1', up).
concentration_enzClass('4.1.1.17', down).
concentration_enzClass('2.6.1.2', down).
concentration_enzClass('2.7.1.67', down).
concentration_enzClass('5.3.3.2', down).
concentration_enzClass('4.1.1.33', up).
concentration_enzClass('4.1.1.29', up).
concentration_enzClass('1.1.1.8', up).
concentration_enzClass('1.3.1.24', down).
concentration_enzClass('3.1.3.25', down).
concentration_enzClass('2.7.1.107', down).
concentration_enzClass('2.7.7.43', down).
concentration_enzClass('4.2.1.11', down).
concentration_enzClass('1.1.1.205', down).
concentration_enzClass('3.1.4.1', down).
concentration_enzClass('1.8.1.9', up).
concentration_enzClass('1.1.1.37', down).
concentration_enzClass('2.7.1.3', down).
concentration_enzClass('1.5.1.6', up).
concentration_enzClass('1.4.3.5', down).
concentration_enzClass('2.3.3.1', down).
concentration_enzClass('1.11.1.9', down).
concentration_enzClass('3.5.4.3', up).
concentration_enzClass('3.5.1.14', down).
concentration_enzClass('1.1.1.41', up).
concentration_enzClass('6.3.4.5', down).
concentration_enzClass('2.4.1.62', down).
concentration_enzClass('3.6.1.6', down).
concentration_enzClass('3.2.1.18', up).
concentration_enzClass('1.8.3.1', down).
concentration_enzClass('2.1.4.1', down).
concentration_enzClass('6.1.1.3', down).
concentration_enzClass('4.3.1.17', down).
concentration_enzClass('2.7.1.30', down).
concentration_enzClass('3.1.2.22', down).
concentration_enzClass('1.13.11.20', down).
concentration_enzClass('2.3.1.21', down).
concentration_enzClass('5.3.1.8', down).
concentration_enzClass('2.5.1.16', down).
concentration_enzClass('1.14.16.1', down).
concentration_enzClass('1.8.1.7', up).
concentration_enzClass('1.4.1.3', down).
concentration_enzClass('1.5.1.2', down).
concentration_enzClass('2.5.1.6', up).
concentration_enzClass('3.6.1.29', up).
concentration_enzClass('2.8.2.-', down).
concentration_enzClass('2.7.1.32', down).
concentration_enzClass('6.2.1.3', down).
concentration_enzClass('3.2.1.23', down).
concentration_enzClass('5.3.99.2', down).
concentration_enzClass('2.4.1.174', down).
concentration_enzClass('1.2.1.36', up).
concentration_enzClass('3.1.1.3', down).
concentration_enzClass('2.7.1.40', down).
concentration_enzClass('3.2.1.31', down).
concentration_enzClass('3.1.3.3', down).
concentration_enzClass('1.1.1.149', down).
concentration_enzClass('2.7.7.41', down).
concentration_enzClass('1.5.1.34', down).
concentration_enzClass('6.4.1.3', down).
concentration_enzClass('3.1.2.6', down).
concentration_enzClass('1.2.1.27', down).
concentration_enzClass('1.13.11.5', down).
concentration_enzClass('3.1.4.12', down).
concentration_enzClass('2.7.1.2', down).
concentration_enzClass('4.4.1.16', up).
concentration_enzClass('1.1.1.35', down).
concentration_enzClass('3.6.1.23', down).
concentration_enzClass('1.6.5.2', up).
concentration_enzClass('4.2.1.24', down).
concentration_enzClass('1.3.99.3', down).
concentration_enzClass('2.3.1.9', down).
concentration_enzClass('6.3.2.3', down).
concentration_enzClass('2.1.2.10', down).
concentration_enzClass('2.4.1.22', up).
concentration_enzClass('2.8.2.1', down).
concentration_enzClass('1.5.99.1', down).
concentration_enzClass('3.1.6.2', down).
concentration_enzClass('1.1.1.153', down).
concentration_enzClass('4.1.1.50', down).
concentration_enzClass('2.7.7.22', down).
concentration_enzClass('1.14.14.1', down).
concentration_enzClass('3.1.1.-', down).
concentration_enzClass('1.2.1.24', down).
concentration_enzClass('4.2.1.1', down).
concentration_enzClass('1.4.3.3', down).
concentration_enzClass('2.5.1.1', down).
concentration_enzClass('5.1.3.3', down).
concentration_enzClass('6.4.1.1', down).
concentration_enzClass('3.2.1.106', down).
concentration_enzClass('1.1.1.31', down).
concentration_enzClass('1.11.1.6', down).
concentration_enzClass('3.5.1.2', down).
concentration_enzClass('2.4.1.17', up).
concentration_enzClass('2.7.1.151', down).
concentration_enzClass('5.4.2.1', down).
concentration_enzClass('2.7.1.20', down).
concentration_enzClass('2.4.2.8', down).
concentration_enzClass('1.14.15.3', up).
concentration_enzClass('6.3.2.19', down).
concentration_enzClass('2.4.1.68', down).
concentration_enzClass('3.1.1.4', up).
concentration_enzClass('1.14.99.1', down).
concentration_enzClass('4.1.2.27', up).
concentration_enzClass('3.5.4.-', down).
concentration_enzClass('3.6.1.13', down).
concentration_enzClass('3.2.1.20', up).
concentration_enzClass('2.7.4.8', down).
concentration_enzClass('1.7.3.3', down).
concentration_enzClass('1.3.1.3', up).
concentration_enzClass('1.3.3.6', down).
concentration_enzClass('3.2.1.1', down).
concentration_enzClass('2.3.1.85', down).
concentration_enzClass('3.3.1.1', down).
concentration_enzClass('2.4.2.14', down).
concentration_enzClass('3.5.4.4', down).
concentration_enzClass('1.6.2.2', down).
concentration_enzClass('2.7.3.2', down).
concentration_enzClass('2.7.7.15', down).
concentration_enzClass('1.3.5.2', up).
concentration_enzClass('3.5.4.16', up).
concentration_enzClass('3.1.3.66', down).
concentration_enzClass('1.2.1.12', down).
concentration_enzClass('1.1.1.14', down).
concentration_enzClass('6.3.5.1', up).
concentration_enzClass('1.5.99.2', down).
concentration_enzClass('3.1.3.11', down).
concentration_enzClass('3.4.11.5', down).
concentration_enzClass('5.3.3.8', down).
concentration_enzClass('6.1.1.12', down).
concentration_enzClass('3.3.2.6', down).
concentration_enzClass('3.1.2.1', down).
concentration_enzClass('2.3.1.43', down).
concentration_enzClass('5.4.99.7', down).
concentration_enzClass('2.7.1.15', down).
concentration_enzClass('3.1.1.34', up).
concentration_enzClass('2.8.1.2', down).
concentration_enzClass('6.3.4.16', down).
concentration_enzClass('1.1.1.22', down).
concentration_enzClass('1.1.1.27', down).
concentration_enzClass('4.6.1.2', down).
concentration_enzClass('4.2.1.22', down).
concentration_enzClass('2.7.1.33', down).
concentration_enzClass('6.3.5.4', up).
concentration_enzClass('5.3.3.5', down).
concentration_enzClass('1.14.13.9', down).
concentration_enzClass('2.6.1.7', up).
concentration_enzClass('3.1.4.11', down).
concentration_enzClass('2.8.2.4', down).
concentration_enzClass('1.1.1.62', down).
concentration_enzClass('2.1.3.3', down).
concentration_enzClass('2.7.6.1', down).
concentration_enzClass('2.3.1.65', down).
concentration_enzClass('3.5.3.1', down).
concentration_enzClass('2.1.1.5', down).
concentration_enzClass('5.1.99.1', down).
concentration_enzClass('2.4.1.-', down).
concentration_enzClass('6.1.1.20', up).
concentration_enzClass('1.14.21.6', up).
concentration_enzClass('2.4.2.12', down).
concentration_enzClass('1.1.1.2', down).
concentration_enzClass('1.3.99.5', down).
concentration_enzClass('2.4.1.1', down).
concentration_enzClass('2.7.1.137', down).
concentration_enzClass('5.3.2.1', down).
concentration_enzClass('2.7.1.35', down).
concentration_enzClass('2.4.1.175', down).
concentration_enzClass('6.1.1.15', down).
concentration_enzClass('2.3.1.16', down).
concentration_enzClass('3.2.2.5', down).
concentration_enzClass('3.4.13.20', down).
concentration_enzClass('1.13.99.1', down).
concentration_enzClass('3.1.1.2', down).
concentration_enzClass('3.5.1.-', down).