% record the length of each

lazyAllTsTranslation(AllTs,NewAllClas):- maplist(lazyTsTranslation,AllTs,NewAllClas).

lazyTsTranslation(EI-Ts,EI-Clas):- maplist(listHead,Ts,Clas).
					%Clas0),remove_duplicates(Clas0,Clas),
					%length(Clas0,K0),length(Clas,K),
					%nl,write('Comparing redundancy within each example'),write({K0,K}).

%lazyTranslation(Ts,PrunedTs):- maplist(listHead,Ts,PrunedTs).

listHead([Head|List],Length-Head):- length([Head|List],Length). % [Head]? Head -- depend later


counting([],Tree,Tree).
counting([EI-OneEITRecord|All_T_Records],TreeSoFar,Tree):-
	insertOneEI_Ts(OneEITRecord,EI,TreeSoFar,NTreeSoFar),
	counting(All_T_Records,NTreeSoFar,Tree).


insertOneEI_Ts([],EI,Tree,Tree).

insertOneEI_Ts([Length-TI|TIs],EI,TreeSoFar,Tree):-
	(rb_lookup(TI,EI_List,TreeSoFar)->
		%TI is there-> previous example, or the same example
		(append(Pre,[{EI,Length0}|Post],EI_List)->
			(Length < Length0 ->
				append(Pre,[{EI,Length}|Post],NewEI_List),
				rb_update(TreeSoFar,TI,NewEI_List,NTreeSoFar);
				NTreeSoFar=TreeSoFar
			);
			rb_update(TreeSoFar,TI,[{EI,Length}|EI_List],NTreeSoFar)
		);
				
		rb_insert(TreeSoFar,TI,[EI],NTreeSoFar)
	),	
	insertOneEI_Ts(TIs,EI,NTreeSoFar,Tree).

