% Flux recorded means the number covered are recorded for each edge, rather than on node. This is to do with the DAG.
% this version use asserta and retract to 


	
prefixTreeBuilder(PosEIs):-
	tell('candidateH1.pl'), %tell('grammar_candidateH.pl'),	
	genAll(PosEIs,AllTs,TotalNum),%genAll_EIsigned(PosEIs,AllTs,TotalNum),
	write('%Total is '), write(TotalNum),nl,
	%print_list(AllTs),nl,
	told,
	consult('candidateH1.pl'),	%consult('grammar_candidateH.pl'),
	
	%tell('tomatoCountedResult.pl'),

	rb_new(Tree0),
	reverse(PosEIs,PosEIsReversedOrder),
	insertTheories(PosEIsReversedOrder,Tree0,Tree), % insertTheories(AllTs,Tree0,Tree) *** be careful about the function you are using
	%scoreAll(AllTs,Tree,ScoredEIsTs).

	forAll(candidateH0(EI_any,TI_any,T),insertOneHTheoryIntoPrefixTree(T,Tree,{EI_any,TI_any})), %scoreOneTheory(Tree,{EI_any,TI_any,T})

	nl.


% first node,end node, while each ClaID node is accompanied by their cla-coverage which is recorded in the tree

:- dynamic claNode/2,connect/3.

claNode(startNode,EIList):-	
	findall(EI_any-TI_any,candidateH0(EI_any,TI_any,T),EIList0),
	sort(EIList0,EIList).

% it is in the format of [EI-TI,...], rather than [EI-[TI..]...] 
% since this final startNode won't be used -- this info is not that important.



insertOneHTheoryIntoPrefixTree(T,ClaCountedTree,{EI_any,TI_any}):-
	maplist(obtainClaCoverage(ClaCountedTree),T,ScoredT),
	%ScoredT=SortedScoredT, %sort(ScoredT,SortedScoredT), % need to remove that prefix score -- take away
	reverse(ScoredT,SortedScoredT),
	% ClaID%SortedScoredT=[] -- identify the end Cla node
	
	insertOneHTheoryIntoPrefixTree0(EI_any-TI_any,[1-(endNode-EI_any-TI_any)-[EI_any-TI_any]|SortedScoredT],endNode-EI_any-TI_any).
	
% simply connect the ClaNodes
insertOneHTheoryIntoPrefixTree0(EI-TI,[],startNode).
insertOneHTheoryIntoPrefixTree0(EI-TI,[ClaCoverage-ClaID-EI_List|SortedScoredT],ClaID):-
	insertOneHTheoryIntoPrefixTree0(EI-TI,SortedScoredT,PreNode),
	prefixTreeUpdate(EI-TI,PreNode,ClaID).




obtainClaCoverage(ClaCountedTree,ClaID,ClaCoverage-ClaID-EI_List):-
	rb_lookup(ClaID,EITIs,ClaCountedTree),
	exExtraction(EITIs,EIs),
	length(EIs,ClaCoverage).




prefixTreeUpdate(EI-TI,Node1,Node2):-
	(retract(connect(Node1,Node2,Flux))->
		asserta(connect(Node1,Node2,[EI-TI|Flux]));
		asserta(connect(Node1,Node2,[EI-TI]))
	).



















 
