% get the fact about 'catalyzed_by_ECclasss'

%:-use_module(library(lists)).


:-['keggmap_rn_rno.pl'].


%catalyzed_by_ECclass(ReactionID,EC_Num):-
output_CATALYZED_BY_ECclass(ReactionID):-
	concept_accession(ReactionID,'EC',EC_Num,true),!,
	portray_clause(catalyzed_by_ECclasss(ReactionID,EC_Num)).
	% concept_accession(EnzClassID,'KEGG',EC_Num,true).

output_CATALYZED_BY_ECclass(ReactionID):-
	concept_accession(ReactionID,'KEGG',EC_Num0,true),
	atom_chars(EC_Num0,['E','C',':'|EC_Num_List]),!,
	atom_chars(EC_Num,EC_Num_List),
	portray_clause(catalyzed_by_ECclasss(ReactionID,EC_Num)).
	% concept_accession(EnzClassID,'KEGG',EC_Num,true).

output_CATALYZED_BY_ECclass(ReactionID):- 
	write('% --no info about catalyzed_by'),
	findall({ReactionID,Type,Content},concept_accession(ReactionID,Type,Content,true),OtherInfo),
	write(OtherInfo),
	nl.


t:-
	tell('catalyzedBy_info.pl'),
	forall(reaction(ReactionID,_,_,_,'IMPD'),output_CATALYZED_BY_ECclass(ReactionID)),
	told.

