% check network
% 

% check the mismatch of enzyme assignment and reaction assignment. 
t(RID,ClassesR,EnzClassIDs):-
	reaction(RID,Description,'',_,_),
	setof(ClassR,ClassR0^(part_of_catalyzing_class(RID,ClassR0,'IMPD'),concept_accession(ClassR0,'EC',ClassR,false)),ClassesR),

setof(EC_num,EnzClassID^(catalyzed_by(RID,EnzID,'IMPD'),part_of_catalyzing_class(EnzID,EnzClassID,'IMPD'),concept_accession(EnzClassID,'EC',EC_num,false)),EnzClassIDs).

f:-
	findall(RID-ClassesR-EnzClassIDs,
		(t(RID,ClassesR,EnzClassIDs), ClassesR\==EnzClassIDs),
		D
	),
	write(D).

:-['2010_9_6/kegg_day14_mappedProbe_2010_9_6'].


% The answer is 434/1399
checkH:-
	setof(GeneID, ProbeID^relation_day14_1500mg(is_related_to,ProbeID,GeneID,Change,false),GeneIDs),
	length(GeneIDs,GeneNum),
	findall(ContraGeneID,
		(relation_day14_1500mg(is_related_to,ProbeID1,ContraGeneID,Change1,false),
			relation_day14_1500mg(is_related_to,ProbeID2,ContraGeneID,Change2,false),
			ProbeID1\==ProbeID2,
			Change1\==Change2
		),
		ContraGeneIDs), write(ContraGeneIDs),
	length(ContraGeneIDs,ContraGeneIDNum),
	write(GeneNum),nl, write(ContraGeneIDNum).


%:-['kegg_rno.pl'].


