


fold(FoldIndex,FoldEIs,AllEIs):-
	decideTime(AllEIs,Time),
	timeShift(Time,FoldEI_shift),
	fold0(FoldIndex,FoldEIs0),
	maplist(utilities_Add(FoldEI_shift),FoldEIs0,FoldEIs).


fold0(1,FoldEIs):- numbersList(1,5,FoldEIs).
fold0(2,FoldEIs):- numbersList(6,10,FoldEIs).
fold0(3,FoldEIs):- numbersList(11,15,FoldEIs).
fold0(4,FoldEIs):- numbersList(16,20,FoldEIs).
fold0(5,FoldEIs):- numbersList(21,25,FoldEIs).
fold0(6,FoldEIs):- numbersList(26,30,FoldEIs).
fold0(7,FoldEIs):- numbersList(31,35,FoldEIs).
fold0(8,FoldEIs):- numbersList(36,40,FoldEIs).
fold0(9,FoldEIs):- numbersList(41,46,FoldEIs).
fold0(10,FoldEIs):- numbersList(47,52,FoldEIs).
/*fold0(1,FoldEIs):- numbersList(1,12,FoldEIs).
fold0(2,FoldEIs):- numbersList(13,24,FoldEIs).
fold0(3,FoldEIs):- numbersList(25,36,FoldEIs).
fold0(4,FoldEIs):- numbersList(37,48,FoldEIs).
fold0(5,FoldEIs):- numbersList(49,60,FoldEIs).*/


% AllEIs is groud, while 'Day*' is a variable to be grounded
decideTime(EIs,'Day1'):- onedayEI(EIs).
decideTime(EIs,'Day3'):- onedayEI(EIs0),timeShift('Day3',FoldEI_shift),maplist(utilities_Add(FoldEI_shift),EIs0,EIs).
decideTime(EIs,'Day7'):- onedayEI(EIs0),timeShift('Day7',FoldEI_shift),maplist(utilities_Add(FoldEI_shift),EIs0,EIs).
decideTime(EIs,'Day14'):- onedayEI(EIs0),timeShift('Day14',FoldEI_shift),maplist(utilities_Add(FoldEI_shift),EIs0,EIs).



timeShift('Day1',0).
timeShift('Day3',FoldEI_shift):- metNumber(Num),FoldEI_shift is Num*1.
timeShift('Day7',FoldEI_shift):- metNumber(Num),FoldEI_shift is Num*2.
timeShift('Day14',FoldEI_shift):- metNumber(Num),FoldEI_shift is Num*3.

onedayEI(EIs):- metNumber(Num),numbersList(1,Num,EIs).
metNumber(52). %52 %60

