:- dynamic ex/3.
:- dynamic ex0/3.


ex(EI,concentration(MID,Change,Time),PosNegSign):- 
	ex0(EI,concentration(M,Change,Degree,Time),PosNegSign),
	concept_name(MID,M,true).


gEx(PianoNumDepthLimit,EI,OneTr):-
	ex(EI,concentration(MID,Change,Time),PosNegSign),
	concentration(PianoNumDepthLimit,[],OneTr,[],MID,Change,Time).


%UbqitousComponds=['ATP','NAD+','UTP','Nicotinamide',dAMP,'Threonate','NOT IN ONDEX KEGG RNO GRAPH']

% UbqitousCompounds=[1,2,12,25,39,49,65], % -- in fact 47 is not ubqitous
% [1,2,12,25,39,47,49,60,61,62,62,63,64,65,66] -- this list is where there is no hypotheses

['ATP','NAD+','UTP','Nicotinamide',dAMP,'NOT IN ONDEX KEGG RNO GRAPH','Decanoic acid','(9Z)-Hexadecenoic acid','(7Z,10Z,13Z,16Z,19Z)-Docosa-7,10,13,16,19-pentaenoic acid','Icosadienoic acid','Icosenoic acid','7,10,13,16-Docosatetraenoic acid','Docosanoic acid']

ex0(1,concentration('ATP',up,_,'Day1'),1).
ex0(2,concentration('NAD+',up,_,'Day1'),1).
ex0(3,concentration('L-Glutamate',up,_,'Day1'),1).
ex0(4,concentration('D-Glucose',down,_,'Day1'),1).
ex0(5,concentration('Glycine',up,_,'Day1'),1).
ex0(6,concentration('L-Alanine',no_change,_,'Day1'),1).
ex0(7,concentration('Succinate',up,_,'Day1'),1).
ex0(8,concentration('L-Lysine',no_change,_,'Day1'),1).
ex0(9,concentration('Glutathione',up,_,'Day1'),1).
ex0(10,concentration('L-Glutamine',up,_,'Day1'),1).
ex0(11,concentration('L-Serine',down,_,'Day1'),1).
ex0(12,concentration('UTP',up,_,'Day1'),1).
ex0(13,concentration('L-Ornithine',no_change,_,'Day1'),1).
ex0(14,concentration('L-Phenylalanine',no_change,_,'Day1'),1).
ex0(15,concentration('L-Tyrosine',no_change,_,'Day1'),1).
ex0(16,concentration('D-Fructose',down,_,'Day1'),1).
ex0(17,concentration('Choline',no_change,_,'Day1'),1).
ex0(18,concentration('D-Ribose',no_change,_,'Day1'),1).
ex0(19,concentration('Fumarate',no_change,_,'Day1'),1).
ex0(20,concentration('L-Leucine',down,_,'Day1'),1).
ex0(21,concentration('Glutathione disulfide',no_change,_,'Day1'),1).
ex0(22,concentration('myo-Inositol',up,_,'Day1'),1).
ex0(23,concentration('L-Proline',no_change,_,'Day1'),1).
ex0(24,concentration('(S)-Malate',no_change,_,'Day1'),1).
ex0(25,concentration('Nicotinamide',no_change,_,'Day1'),1).
ex0(26,concentration('Citrate',up,_,'Day1'),1).
ex0(27,concentration('L-Valine',down,_,'Day1'),1).
ex0(28,concentration('L-Threonine',no_change,_,'Day1'),1).
ex0(29,concentration('Ethanolamine',down,_,'Day1'),1).
ex0(30,concentration('Adenosine',down,_,'Day1'),1).
ex0(31,concentration('(5Z,8Z,11Z,14Z)-Icosatetraenoic acid',no_change,_,'Day1'),1).
ex0(32,concentration('beta-D-Glucose',down,_,'Day1'),1).
ex0(33,concentration('Taurine',no_change,_,'Day1'),1).
ex0(34,concentration('Hexadecanoic acid',no_change,_,'Day1'),1).
ex0(35,concentration('(R)-Lactate',no_change,_,'Day1'),1).
ex0(36,concentration('D-Glycerate',up,_,'Day1'),1).
ex0(37,concentration('alpha-D-Glucose',down,_,'Day1'),1).
ex0(38,concentration('Uridine',down,_,'Day1'),1).
ex0(39,concentration(dAMP,no_change,_,'Day1'),1).
ex0(40,concentration('Starch',down,_,'Day1'),1).
ex0(41,concentration('L-Isoleucine',down,_,'Day1'),1).
ex0(42,concentration('Choline phosphate',no_change,_,'Day1'),1).
ex0(43,concentration('sn-glycero-3-Phosphocholine',no_change,_,'Day1'),1).
ex0(44,concentration('(9Z)-Octadecenoic acid',no_change,_,'Day1'),1).
ex0(45,concentration('(R)-3-Hydroxybutanoate',no_change,_,'Day1'),1).
ex0(46,concentration('Octadecanoic acid',no_change,_,'Day1'),1).
ex0(47,concentration('Decanoic acid',no_change,_,'Day1'),1).
ex0(48,concentration('Linoleate',no_change,_,'Day1'),1).
ex0(49,concentration('Threonate',up,_,'Day1'),1).
ex0(50,concentration('5-Oxoproline',up,_,'Day1'),1).
ex0(51,concentration('Dodecanoic acid',no_change,_,'Day1'),1).
ex0(52,concentration('(8Z,11Z,14Z)-Icosatrienoic acid',no_change,_,'Day1'),1).
ex0(53,concentration('2-Hydroxybutanoic acid',up,_,'Day1'),1).
ex0(54,concentration('Tetradecanoic acid',no_change,_,'Day1'),1).
ex0(55,concentration('(6Z,9Z,12Z)-Octadecatrienoic acid',no_change,_,'Day1'),1).
ex0(56,concentration('(9Z,12Z,15Z)-Octadecatrienoic acid',up,_,'Day1'),1).
ex0(57,concentration('(5Z,8Z,11Z,14Z,17Z)-Icosapentaenoic acid',no_change,_,'Day1'),1).
ex0(58,concentration('(4Z,7Z,10Z,13Z,16Z,19Z)-Docosahexaenoic acid',no_change,_,'Day1'),1).
ex0(59,concentration('Icosanoic acid',no_change,_,'Day1'),1).
ex0(60,concentration('(9Z)-Hexadecenoic acid',no_change,_,'Day1'),1).
ex0(61,concentration('(7Z,10Z,13Z,16Z,19Z)-Docosa-7,10,13,16,19-pentaenoic acid',no_change,_,'Day1'),1).
ex0(62,concentration('Icosadienoic acid',no_change,_,'Day1'),1).
ex0(63,concentration('Icosenoic acid',no_change,_,'Day1'),1).
ex0(64,concentration('7,10,13,16-Docosatetraenoic acid',no_change,_,'Day1'),1).
ex0(65,concentration('NOT IN ONDEX KEGG RNO GRAPH',no_change,_,'Day1'),1).
ex0(66,concentration('Docosanoic acid',no_change,_,'Day1'),1).
ex0(67,concentration('ATP',up,_,'Day3'),1).
ex0(68,concentration('NAD+',up,_,'Day3'),1).
ex0(69,concentration('L-Glutamate',up,_,'Day3'),1).
ex0(70,concentration('D-Glucose',down,_,'Day3'),1).
ex0(71,concentration('Glycine',up,_,'Day3'),1).
ex0(72,concentration('L-Alanine',up,_,'Day3'),1).
ex0(73,concentration('Succinate',up,_,'Day3'),1).
ex0(74,concentration('L-Lysine',no_change,_,'Day3'),1).
ex0(75,concentration('Glutathione',up,_,'Day3'),1).
ex0(76,concentration('L-Glutamine',up,_,'Day3'),1).
ex0(77,concentration('L-Serine',down,_,'Day3'),1).
ex0(78,concentration('UTP',up,_,'Day3'),1).
ex0(79,concentration('L-Ornithine',no_change,_,'Day3'),1).
ex0(80,concentration('L-Phenylalanine',down,_,'Day3'),1).
ex0(81,concentration('L-Tyrosine',down,_,'Day3'),1).
ex0(82,concentration('D-Fructose',down,_,'Day3'),1).
ex0(83,concentration('Choline',down,_,'Day3'),1).
ex0(84,concentration('D-Ribose',down,_,'Day3'),1).
ex0(85,concentration('Fumarate',no_change,_,'Day3'),1).
ex0(86,concentration('L-Leucine',down,_,'Day3'),1).
ex0(87,concentration('Glutathione disulfide',no_change,_,'Day3'),1).
ex0(88,concentration('myo-Inositol',down,_,'Day3'),1).
ex0(89,concentration('L-Proline',no_change,_,'Day3'),1).
ex0(90,concentration('(S)-Malate',no_change,_,'Day3'),1).
ex0(91,concentration('Nicotinamide',no_change,_,'Day3'),1).
ex0(92,concentration('Citrate',no_change,_,'Day3'),1).
ex0(93,concentration('L-Valine',down,_,'Day3'),1).
ex0(94,concentration('L-Threonine',no_change,_,'Day3'),1).
ex0(95,concentration('Ethanolamine',down,_,'Day3'),1).
ex0(96,concentration('Adenosine',down,_,'Day3'),1).
ex0(97,concentration('(5Z,8Z,11Z,14Z)-Icosatetraenoic acid',down,_,'Day3'),1).
ex0(98,concentration('beta-D-Glucose',down,_,'Day3'),1).
ex0(99,concentration('Taurine',up,_,'Day3'),1).
ex0(100,concentration('Hexadecanoic acid',down,_,'Day3'),1).
ex0(101,concentration('(R)-Lactate',up,_,'Day3'),1).
ex0(102,concentration('D-Glycerate',no_change,_,'Day3'),1).
ex0(103,concentration('alpha-D-Glucose',down,_,'Day3'),1).
ex0(104,concentration('Uridine',no_change,_,'Day3'),1).
ex0(105,concentration(dAMP,no_change,_,'Day3'),1).
ex0(106,concentration('Starch',down,_,'Day3'),1).
ex0(107,concentration('L-Isoleucine',no_change,_,'Day3'),1).
ex0(108,concentration('Choline phosphate',no_change,_,'Day3'),1).
ex0(109,concentration('sn-glycero-3-Phosphocholine',down,_,'Day3'),1).
ex0(110,concentration('(9Z)-Octadecenoic acid',up,_,'Day3'),1).
ex0(111,concentration('(R)-3-Hydroxybutanoate',up,_,'Day3'),1).
ex0(112,concentration('Octadecanoic acid',down,_,'Day3'),1).
ex0(113,concentration('Decanoic acid',no_change,_,'Day3'),1).
ex0(114,concentration('Linoleate',up,_,'Day3'),1).
ex0(115,concentration('Threonate',up,_,'Day3'),1).
ex0(116,concentration('5-Oxoproline',up,_,'Day3'),1).
ex0(117,concentration('Dodecanoic acid',no_change,_,'Day3'),1).
ex0(118,concentration('(8Z,11Z,14Z)-Icosatrienoic acid',up,_,'Day3'),1).
ex0(119,concentration('2-Hydroxybutanoic acid',no_change,_,'Day3'),1).
ex0(120,concentration('Tetradecanoic acid',no_change,_,'Day3'),1).
ex0(121,concentration('(6Z,9Z,12Z)-Octadecatrienoic acid',up,_,'Day3'),1).
ex0(122,concentration('(9Z,12Z,15Z)-Octadecatrienoic acid',no_change,_,'Day3'),1).
ex0(123,concentration('(5Z,8Z,11Z,14Z,17Z)-Icosapentaenoic acid',up,_,'Day3'),1).
ex0(124,concentration('(4Z,7Z,10Z,13Z,16Z,19Z)-Docosahexaenoic acid',down,_,'Day3'),1).
ex0(125,concentration('Icosanoic acid',down,_,'Day3'),1).
ex0(126,concentration('(9Z)-Hexadecenoic acid',up,_,'Day3'),1).
ex0(127,concentration('(7Z,10Z,13Z,16Z,19Z)-Docosa-7,10,13,16,19-pentaenoic acid',up,_,'Day3'),1).
ex0(128,concentration('Icosadienoic acid',no_change,_,'Day3'),1).
ex0(129,concentration('Icosenoic acid',no_change,_,'Day3'),1).
ex0(130,concentration('7,10,13,16-Docosatetraenoic acid',down,_,'Day3'),1).
ex0(131,concentration('NOT IN ONDEX KEGG RNO GRAPH',down,_,'Day3'),1).
ex0(132,concentration('Docosanoic acid',down,_,'Day3'),1).
ex0(133,concentration('ATP',up,_,'Day7'),1).
ex0(134,concentration('NAD+',no_change,_,'Day7'),1).
ex0(135,concentration('L-Glutamate',no_change,_,'Day7'),1).
ex0(136,concentration('D-Glucose',down,_,'Day7'),1).
ex0(137,concentration('Glycine',up,_,'Day7'),1).
ex0(138,concentration('L-Alanine',no_change,_,'Day7'),1).
ex0(139,concentration('Succinate',up,_,'Day7'),1).
ex0(140,concentration('L-Lysine',up,_,'Day7'),1).
ex0(141,concentration('Glutathione',up,_,'Day7'),1).
ex0(142,concentration('L-Glutamine',up,_,'Day7'),1).
ex0(143,concentration('L-Serine',down,_,'Day7'),1).
ex0(144,concentration('UTP',up,_,'Day7'),1).
ex0(145,concentration('L-Ornithine',up,_,'Day7'),1).
ex0(146,concentration('L-Phenylalanine',no_change,_,'Day7'),1).
ex0(147,concentration('L-Tyrosine',no_change,_,'Day7'),1).
ex0(148,concentration('D-Fructose',down,_,'Day7'),1).
ex0(149,concentration('Choline',no_change,_,'Day7'),1).
ex0(150,concentration('D-Ribose',no_change,_,'Day7'),1).
ex0(151,concentration('Fumarate',up,_,'Day7'),1).
ex0(152,concentration('L-Leucine',no_change,_,'Day7'),1).
ex0(153,concentration('Glutathione disulfide',up,_,'Day7'),1).
ex0(154,concentration('myo-Inositol',up,_,'Day7'),1).
ex0(155,concentration('L-Proline',no_change,_,'Day7'),1).
ex0(156,concentration('(S)-Malate',no_change,_,'Day7'),1).
ex0(157,concentration('Nicotinamide',no_change,_,'Day7'),1).
ex0(158,concentration('Citrate',up,_,'Day7'),1).
ex0(159,concentration('L-Valine',no_change,_,'Day7'),1).
ex0(160,concentration('L-Threonine',up,_,'Day7'),1).
ex0(161,concentration('Ethanolamine',down,_,'Day7'),1).
ex0(162,concentration('Adenosine',down,_,'Day7'),1).
ex0(163,concentration('(5Z,8Z,11Z,14Z)-Icosatetraenoic acid',down,_,'Day7'),1).
ex0(164,concentration('beta-D-Glucose',down,_,'Day7'),1).
ex0(165,concentration('Taurine',up,_,'Day7'),1).
ex0(166,concentration('Hexadecanoic acid',down,_,'Day7'),1).
ex0(167,concentration('(R)-Lactate',no_change,_,'Day7'),1).
ex0(168,concentration('D-Glycerate',no_change,_,'Day7'),1).
ex0(169,concentration('alpha-D-Glucose',down,_,'Day7'),1).
ex0(170,concentration('Uridine',no_change,_,'Day7'),1).
ex0(171,concentration(dAMP,down,_,'Day7'),1).
ex0(172,concentration('Starch',down,_,'Day7'),1).
ex0(173,concentration('L-Isoleucine',no_change,_,'Day7'),1).
ex0(174,concentration('Choline phosphate',no_change,_,'Day7'),1).
ex0(175,concentration('sn-glycero-3-Phosphocholine',down,_,'Day7'),1).
ex0(176,concentration('(9Z)-Octadecenoic acid',up,_,'Day7'),1).
ex0(177,concentration('(R)-3-Hydroxybutanoate',no_change,_,'Day7'),1).
ex0(178,concentration('Octadecanoic acid',up,_,'Day7'),1).
ex0(179,concentration('Decanoic acid',down,_,'Day7'),1).
ex0(180,concentration('Linoleate',up,_,'Day7'),1).
ex0(181,concentration('Threonate',no_change,_,'Day7'),1).
ex0(182,concentration('5-Oxoproline',no_change,_,'Day7'),1).
ex0(183,concentration('Dodecanoic acid',down,_,'Day7'),1).
ex0(184,concentration('(8Z,11Z,14Z)-Icosatrienoic acid',no_change,_,'Day7'),1).
ex0(185,concentration('2-Hydroxybutanoic acid',no_change,_,'Day7'),1).
ex0(186,concentration('Tetradecanoic acid',no_change,_,'Day7'),1).
ex0(187,concentration('(6Z,9Z,12Z)-Octadecatrienoic acid',no_change,_,'Day7'),1).
ex0(188,concentration('(9Z,12Z,15Z)-Octadecatrienoic acid',down,_,'Day7'),1).
ex0(189,concentration('(5Z,8Z,11Z,14Z,17Z)-Icosapentaenoic acid',up,_,'Day7'),1).
ex0(190,concentration('(4Z,7Z,10Z,13Z,16Z,19Z)-Docosahexaenoic acid',down,_,'Day7'),1).
ex0(191,concentration('Icosanoic acid',down,_,'Day7'),1).
ex0(192,concentration('(9Z)-Hexadecenoic acid',up,_,'Day7'),1).
ex0(193,concentration('(7Z,10Z,13Z,16Z,19Z)-Docosa-7,10,13,16,19-pentaenoic acid',no_change,_,'Day7'),1).
ex0(194,concentration('Icosadienoic acid',down,_,'Day7'),1).
ex0(195,concentration('Icosenoic acid',down,_,'Day7'),1).
ex0(196,concentration('7,10,13,16-Docosatetraenoic acid',down,_,'Day7'),1).
ex0(197,concentration('NOT IN ONDEX KEGG RNO GRAPH',down,_,'Day7'),1).
ex0(198,concentration('Docosanoic acid',down,_,'Day7'),1).
ex0(199,concentration('ATP',up,_,'Day14'),1).
ex0(200,concentration('NAD+',no_change,_,'Day14'),1).
ex0(201,concentration('L-Glutamate',no_change,_,'Day14'),1).
ex0(202,concentration('D-Glucose',down,_,'Day14'),1).
ex0(203,concentration('Glycine',up,_,'Day14'),1).
ex0(204,concentration('L-Alanine',up,_,'Day14'),1).
ex0(205,concentration('Succinate',up,_,'Day14'),1).
ex0(206,concentration('L-Lysine',no_change,_,'Day14'),1).
ex0(207,concentration('Glutathione',up,_,'Day14'),1).
ex0(208,concentration('L-Glutamine',up,_,'Day14'),1).
ex0(209,concentration('L-Serine',up,_,'Day14'),1).
ex0(210,concentration('UTP',up,_,'Day14'),1).
ex0(211,concentration('L-Ornithine',up,_,'Day14'),1).
ex0(212,concentration('L-Phenylalanine',no_change,_,'Day14'),1).
ex0(213,concentration('L-Tyrosine',no_change,_,'Day14'),1).
ex0(214,concentration('D-Fructose',no_change,_,'Day14'),1).
ex0(215,concentration('Choline',no_change,_,'Day14'),1).
ex0(216,concentration('D-Ribose',down,_,'Day14'),1).
ex0(217,concentration('Fumarate',no_change,_,'Day14'),1).
ex0(218,concentration('L-Leucine',no_change,_,'Day14'),1).
ex0(219,concentration('Glutathione disulfide',no_change,_,'Day14'),1).
ex0(220,concentration('myo-Inositol',no_change,_,'Day14'),1).
ex0(221,concentration('L-Proline',up,_,'Day14'),1).
ex0(222,concentration('(S)-Malate',down,_,'Day14'),1).
ex0(223,concentration('Nicotinamide',down,_,'Day14'),1).
ex0(224,concentration('Citrate',no_change,_,'Day14'),1).
ex0(225,concentration('L-Valine',no_change,_,'Day14'),1).
ex0(226,concentration('L-Threonine',up,_,'Day14'),1).
ex0(227,concentration('Ethanolamine',no_change,_,'Day14'),1).
ex0(228,concentration('Adenosine',down,_,'Day14'),1).
ex0(229,concentration('(5Z,8Z,11Z,14Z)-Icosatetraenoic acid',no_change,_,'Day14'),1).
ex0(230,concentration('beta-D-Glucose',down,_,'Day14'),1).
ex0(231,concentration('Taurine',no_change,_,'Day14'),1).
ex0(232,concentration('Hexadecanoic acid',down,_,'Day14'),1).
ex0(233,concentration('(R)-Lactate',no_change,_,'Day14'),1).
ex0(234,concentration('D-Glycerate',no_change,_,'Day14'),1).
ex0(235,concentration('alpha-D-Glucose',down,_,'Day14'),1).
ex0(236,concentration('Uridine',no_change,_,'Day14'),1).
ex0(237,concentration(dAMP,no_change,_,'Day14'),1).
ex0(238,concentration('Starch',down,_,'Day14'),1).
ex0(239,concentration('L-Isoleucine',up,_,'Day14'),1).
ex0(240,concentration('Choline phosphate',up,_,'Day14'),1).
ex0(241,concentration('sn-glycero-3-Phosphocholine',no_change,_,'Day14'),1).
ex0(242,concentration('(9Z)-Octadecenoic acid',up,_,'Day14'),1).
ex0(243,concentration('(R)-3-Hydroxybutanoate',no_change,_,'Day14'),1).
ex0(244,concentration('Octadecanoic acid',down,_,'Day14'),1).
ex0(245,concentration('Decanoic acid',no_change,_,'Day14'),1).
ex0(246,concentration('Linoleate',up,_,'Day14'),1).
ex0(247,concentration('Threonate',up,_,'Day14'),1).
ex0(248,concentration('5-Oxoproline',up,_,'Day14'),1).
ex0(249,concentration('Dodecanoic acid',no_change,_,'Day14'),1).
ex0(250,concentration('(8Z,11Z,14Z)-Icosatrienoic acid',up,_,'Day14'),1).
ex0(251,concentration('2-Hydroxybutanoic acid',no_change,_,'Day14'),1).
ex0(252,concentration('Tetradecanoic acid',down,_,'Day14'),1).
ex0(253,concentration('(6Z,9Z,12Z)-Octadecatrienoic acid',no_change,_,'Day14'),1).
ex0(254,concentration('(9Z,12Z,15Z)-Octadecatrienoic acid',no_change,_,'Day14'),1).
ex0(255,concentration('(5Z,8Z,11Z,14Z,17Z)-Icosapentaenoic acid',up,_,'Day14'),1).
ex0(256,concentration('(4Z,7Z,10Z,13Z,16Z,19Z)-Docosahexaenoic acid',no_change,_,'Day14'),1).
ex0(257,concentration('Icosanoic acid',down,_,'Day14'),1).
ex0(258,concentration('(9Z)-Hexadecenoic acid',no_change,_,'Day14'),1).
ex0(259,concentration('(7Z,10Z,13Z,16Z,19Z)-Docosa-7,10,13,16,19-pentaenoic acid',no_change,_,'Day14'),1).
ex0(260,concentration('Icosadienoic acid',no_change,_,'Day14'),1).
ex0(261,concentration('Icosenoic acid',down,_,'Day14'),1).
ex0(262,concentration('7,10,13,16-Docosatetraenoic acid',down,_,'Day14'),1).
ex0(263,concentration('NOT IN ONDEX KEGG RNO GRAPH',no_change,_,'Day14'),1).
ex0(264,concentration('Docosanoic acid',down,_,'Day14'),1).
