set(specificScore,yes).
scoreSpecific(T,Coverage,Score):-
	tCompScore(T,TComplex),
	%Score is TComplex+Coverage.
	scoreOneTheoryByGE(T,GEscore),
	CoverageScore is 2*Coverage,
	Score is GEscore*(TComplex+CoverageScore).

% This is to say, ignore the no_change
tCompScore([],0).
tCompScore([ClaI|T],NTScore):-
	tCompScore(T,TScore), 
	nl,write(ClaI),nl,
	(ClaI=[enzyme_state-{EC_Number,no_change}]->
		NTScore=TScore;
		claInterpreter(ClaI,Cla),
		length(Cla,HL),
		NTScore is TScore+HL
	).	


proportional(cataIncreased,up).
proportional(cataDecreased,down).
proportional(cataNoChange,noChange).