% only difference with sorted, is the line ScoredT=SortedScoredT, %sort(ScoredT,SortedScoredT),



	
prefixTreeBuilder(PosEIs):-
	tell('tomato_candidateH.pl'), %tell('grammar_candidateH.pl'),	
	genAll(PosEIs,AllTs,TotalNum),%genAll_EIsigned(PosEIs,AllTs,TotalNum),
	write('%Total is '), write(TotalNum),nl,
	%print_list(AllTs),nl,
	told,
	consult('tomato_candidateH.pl'),	%consult('grammar_candidateH.pl'),
	
	%tell('tomatoCountedResult.pl'),

	rb_new(Tree0),
	reverse(PosEIs,PosEIsReversedOrder),
	insertTheories(PosEIsReversedOrder,Tree0,Tree), % insertTheories(AllTs,Tree0,Tree) *** be careful about the function you are using
	%scoreAll(AllTs,Tree,ScoredEIsTs).

	forAll(candidateH0(EI_any,TI_any,T),insertOneHTheoryIntoPrefixTree(T,Tree,{EI_any,TI_any})), %scoreOneTheory(Tree,{EI_any,TI_any,T})

	nl.


% first node,end node, while each ClaID node is accompanied by their cla-coverage which is recorded in the tree

% claNode(ClaID,EI list that pass it).
:- dynamic claNode/2,connect/2.

claNode(startNode,EIList):-	
	findall(EI_any-TI_any,candidateH0(EI_any,TI_any,T),EIList0),
	sort(EIList0,EIList).

% it is in the format of [EI-TI,...], rather than [EI-[TI..]...] 
% since this final startNode won't be used -- this info is not that important.


% simply connect the ClaNodes
insertOneHTheoryIntoPrefixTree0([],startNode).
insertOneHTheoryIntoPrefixTree0([ClaCoverage-ClaID-EI_List|SortedScoredT],ClaID):-
	insertOneHTheoryIntoPrefixTree0(SortedScoredT,PreNode),
	existCheckAsserta(claNode(ClaID,EI_List)),
	existCheckAsserta(connect(PreNode,ClaID)).



	

insertOneHTheoryIntoPrefixTree(T,ClaCountedTree,{EI_any,TI_any}):-
	maplist(obtainClaCoverage(ClaCountedTree),T,ScoredT),
	sort(ScoredT,SortedScoredT), % need to remove that prefix score -- take away
	
	% ClaID%SortedScoredT=[] -- identify the end Cla node
	
	%insertOneHTheoryIntoPrefixTree0([1-(endNode-EndClaID)-[EI_any-TI_any]|SortedScoredT],endNode-EndClaID). % a separate end node for each example, this make tracing back easier.
	insertOneHTheoryIntoPrefixTree0([1-(endNode-EI_any-TI_any)-[EI_any-TI_any]|SortedScoredT],endNode-EI_any-TI_any).
	
	

obtainClaCoverage(ClaCountedTree,ClaID,ClaCoverage-ClaID-EI_List):-
	rb_lookup(ClaID,EI_List,ClaCountedTree),
	length(EI_List,ClaCoverage).






existCheckAsserta(Fact):-
	(Fact->
		Foo=1;
		asserta(Fact)
	).




















 
