% Each node is a union of it is coming branches.

% why should be ordered? it is not necessarily decreasing. In terms of number, it maybe decrease, while in terms of subset, the later one is not always a subset of its precedent. 
% Advantages: make the prefix.
% No need to go to the end, but start from first disjoint point

% assuming the order of each hypothesis. -- unlikely to 


% The input is a list of facts, like this: candidateH0(18,31,[[rs-{'11099',enzymeLimiting,cataDecreased,'CNR_E'}],[rs-{'11617',substrateLimiting,sUP,'CNR_E'}]]).


% assert or insert to a black-red tree?? for now, use assert




	
prefixTreeBuilder(PosEIs):-
	tell('grammar_candidateH.pl'),	%tell('tomato_candidateH.pl'),
	genAll(PosEIs,AllTs,TotalNum),%genAll_EIsigned(PosEIs,AllTs,TotalNum),
	write('%Total is '), write(TotalNum),nl,
	%print_list(AllTs),nl,
	told,
	consult('grammar_candidateH.pl'),	%consult('tomato_candidateH.pl'),
	
	%tell('tomatoCountedResult.pl'),

	rb_new(Tree0),
	insertTheories(PosEIs,Tree0,Tree), % insertTheories(AllTs,Tree0,Tree) *** be careful about the function you are using
	%scoreAll(AllTs,Tree,ScoredEIsTs).

	forAll(candidateH0(EI_any,TI_any,T),insertOneHTheoryIntoPrefixTree(T,Tree,{EI_any,TI_any})), %scoreOneTheory(Tree,{EI_any,TI_any,T})

	nl.


% first node,end node.
% for each node/cla--accompanied by their ID(EI-TI).
% now that's not to gather it as EI-TIs -- you need to change ur insertTheory then


% claNode(ClaID,EI list that pass it).
:- dynamic claNode/2,connect/2.

claNode(startNode,EIList):-	
	findall(EI_any-TI_any,candidateH0(EI_any,TI_any,T),EIList).
	


% simply connect the ClaNodes
insertOneHTheoryIntoPrefixTree0([],startNode).
insertOneHTheoryIntoPrefixTree0([ClaCoverage-ClaID-EI_List|SortedScoredT],ClaID):-
	insertOneHTheoryIntoPrefixTree0(SortedScoredT,PreNode),
	existCheckAsserta(claNode(ClaID,EI_List)),
	existCheckAsserta(connect(PreNode,ClaID)).


	% insert currentNode -
	%asserta(claNode(ClaID,EI_List)), % if it exist
					% connection may already exist to. existCheckAsserta

existCheckAsserta(Fact):-
	(Fact->
		Foo=1;
		asserta(Fact)
	).
	

	
		


insertOneHTheoryIntoPrefixTree(T,ClaCountedTree,{EI_any,TI_any}):-
	maplist(obtainClaCoverage(ClaCountedTree),T,ScoredT),
	sort(ScoredT,SortedScoredT), % need to remove that prefix score -- take away
	insertOneHTheoryIntoPrefixTree0([1-endNode-[EI_any-TI_any]|SortedScoredT],endNode). % a separate end node for each example, this make tracing back easier.
	
	
	
	

obtainClaCoverage(ClaCountedTree,ClaID,ClaCoverage-ClaID-EI_List):-
	rb_lookup(ClaID,EI_List,ClaCountedTree),
	length(EI_List,ClaCoverage).


/*
assertOneHypothesizedTheory(EI,TI,OneTheory,ClaCountedTree):-
	%candidateH0(EI,TI,OneTheory),
	% get score first, order first, 

	%/* not to sort now
	maplist(getClaScore(ClaCountedTree),OneTheory,ScoredClas),
	sort(ScoredClas,SortedClas),   % not to sort with facts, otherwise, the facts are sorted by alphabets. 
			% write a sort algorithm urself: (1) not to sort the fact; (2) descending order
	%*/
	
	%/*maplist(getClaScore(ClaCountedTree),OneTheory,Scores0),
	%sort(Scores0,Scores),*/ 
	
	

	assertOneHypothesizedTheory0(OneTheory,ClaCountedTree,start,EI-TI). %SortedClas

	%checklist(assertOneHypothesizedCla,SortedScoredClas). % nothing to be passed -- pass the node of last one
*/


/* % node information
% EI, TI
% end node?
assertOneHypothesizedTheory([ClaID],ClaCountedTree,PreNode,EI-TI):-
	
assertOneHypothesizedTheory([ClaID|SortedClas],ClaCountedTree,PreNode,EI-TI):-
	rb_lookup(ClaID,EI_List,ClaCountedTree),%length(EI_List,SharedNum),
	getNodeB(EI_List,NextNode),
	assert(connect(PreNode,ClaID-EI_List,NextNode)),
	assertOneHypothesizedTheory(SortedClas,ClaCountedTree,NextNode,EI-TI).*/



% what if there are multiple-subset. % for each EI-TI, there should be only one!
getNodeB(EI_List,NextNode):-
	nodeUpStream(NextNode,EI_List),!.


% test whether the end node are put together.
getNodeB(EI_List,NextNode):-	% no such node exit
	getNewNodeName(NextNodeID),
	asserta(node(NextNodeID)),
	asserta(nodeUpStream(NextNodeID,EI_List)).


getNewNodeName(NextNodeID):-
	once(node(N)), % the one in the very beginning.
	NextNodeID is N+1.	

/*getNodeB(EI_List,NextNode):-
	nodeUpStream(NextNode,EI_List0),
	subset(EI_List,EI_List0).*/







nodeUpStream(start,AllEIsTIs):-
	findall(EI-TIs,
		findall(TI,candidateH0(EI,TI,T),TIs),
		AllEIsTIs
	).

/*nodeUpStream(end,AllEIsTIs):- % the end node is the converge of everything
	findall(EI-TIs,
		findall(TI,candidateH0(EI,TI,T),TIs),
		AllEIsTIs
	). */


























 
